<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<OMA>
			<DataArea>
				<Subheader display="On-Line Diagnostics Session Results Logs"/>
				<xsl:apply-templates select="//TstBegin"/>
				<xsl:apply-templates select="//Test"/>
				<xsl:apply-templates select="//DevBegin"/>
				<xsl:apply-templates select="//Device"/>
				<xsl:apply-templates select="//Error"/>
			</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template match="DevBegin">
		<SubHeader display="List of available Devices" banner="true" status="99" ignoreonweb="true"/>
	</xsl:template>
	
	<xsl:template match="TstBegin">
		<SubHeader display="List of available Tests" banner="true" status="99" ignoreonweb="true"/>		
	</xsl:template>
		
	<xsl:template match="Device">
		<ListData>
			<Data>
				<xsl:attribute name="display">Index</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Device Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Description</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@description"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Location</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@location"/></xsl:attribute>
			</Data>
			<Data>
				<!-- Decide whether I was passed additional info -->
				<xsl:attribute name="name">Additional Info</xsl:attribute>
				<xsl:attribute name="display">Additional Info</xsl:attribute>
				<xsl:choose>
					<xsl:when test="@additionalhwinfo=.">
						<xsl:attribute name="value">No additional information available</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="@additionalhwinfo"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</ListData>
	</xsl:template>
	
	<xsl:template match="Test">
		<ListData>
			<Data>
				<xsl:attribute name="display">Index</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@index"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Test Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@name"/></xsl:attribute>
			</Data>
		</ListData>
	</xsl:template>
	
	<xsl:template match="Error">
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->Error! <!--XLATESTOP--><xsl:value-of select="@display"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
</xsl:stylesheet>
