<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="text" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:call-template name="CLISubCommand">
			<xsl:with-param name="command"><xsl:value-of select="CLISubCommand"/></xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="CLIMsgString">
			<xsl:with-param name="msgstring"><xsl:value-of select="CLIMsgString"/></xsl:with-param>
			<xsl:with-param name="shownvpairs"><xsl:value-of select="CLIShowNVPairs"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="CLIMsgString">
		<xsl:param name="msgstring"/>
		<xsl:param name="shownvpairs"/>
		<xsl:choose>
			<xsl:when test="$msgstring = 'cddvd'">
				<!--XLATESTART-->Runs CDDVD diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'cmos'">
				<!--XLATESTART-->Runs CMOS diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'floppy'">
				<!--XLATESTART-->Runs Floppy diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'memory'">
				<!--XLATESTART-->Runs Memory diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>
					<xsl:if test="$shownvpairs = 'true'">
					    <xsl:call-template name="NewLine"/>Warning! Memory Pattern test may significantly impact system performance.
					</xsl:if>
			    </xsl:when>	
                        <xsl:when test="$msgstring = 'modem'">
				<!--XLATESTART-->Runs Modem diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'network'">
				<!--XLATESTART-->Runs Network diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'pci'">
				<!--XLATESTART-->Runs PCI diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'rac'">
				<!--XLATESTART-->Runs RAC diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'serialport'">
				<!--XLATESTART-->Runs Serial Port diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'parallelport'">
				<!--XLATESTART-->Runs Parallel Port diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
				 </xsl:when>
			<xsl:when test="$msgstring = 'brcmnetwork'">
				<!--XLATESTART-->Runs Broadcom Network diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>
					<xsl:if test="$shownvpairs = 'true'">
					    <xsl:call-template name="NewLine"/>Warning! Network connection will be temporarily interrupted. Connection will resume after the completion of selected tasks.
					</xsl:if>
                        </xsl:when>
                        <xsl:when test="$msgstring = 'bcmmodem'">
				<!--XLATESTART-->Runs Broadcom Modem diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'video'">
				<!--XLATESTART-->Runs Video diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
			    <xsl:when test="$msgstring = 'intelnetwork'">
				<!--XLATESTART-->Runs Intel Network diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
					<xsl:if test="$shownvpairs = 'true'">
					    <xsl:call-template name="NewLine"/>Warning! Running the diagnostic tests will disconnect the adapter from the network.
					</xsl:if>
                        </xsl:when>
    			<xsl:when test="$msgstring = 'usbctrl'">
				<!--XLATESTART-->Runs diagnostics for USB Root Hubs.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
    			<xsl:when test="$msgstring = 'raidctrl'">
				<!--XLATESTART-->Runs RAID device diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
    			<xsl:when test="$msgstring = 'adpraiddevdiag'">
				<!--XLATESTART-->Runs Adaptec RAID device diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'idedevdiag'">
				<!--XLATESTART-->Runs diagnostics for IDE disk and tape devices.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'lsidevdiag'">
				<!--XLATESTART-->Runs LSI RAID device diagnostics.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'scsidevdiag'">
				<!--XLATESTART-->Runs diagnostics for SCSI controller and attached devices.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'sasdevdiag'">
				<!--XLATESTART-->Runs diagnostics for SAS controller and attached devices.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'system'"><!--26-->
				<!--XLATESTART-->Lists all available System components.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'chassis'"> <!--27-->
				<!--XLATESTART-->Lists all available Chassis components.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
                        <xsl:when test="$msgstring = 'storage'"><!--28-->
				<!--XLATESTART-->Lists all available Storage components.<!--XLATESTOP-->
					<xsl:call-template name="showDisplay">
					     <xsl:with-param name="shownvpairs" select="$shownvpairs"/>
					</xsl:call-template>	
                        </xsl:when>
		</xsl:choose>
		<xsl:call-template name="NewLine"/>
	</xsl:template>
	<xsl:template name="showDisplay">
	      <xsl:param name="shownvpairs"/>
		<xsl:if test="$shownvpairs = 'true'">
			<xsl:call-template name="NewLine"/>	
			<xsl:call-template name="NewLine"/>	
			<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
			<xsl:call-template name="NewLine"/>device=&lt;number&gt; or all <!--XLATESTART-->Specifies device on which to run test.<!--XLATESTOP-->
			<xsl:call-template name="NewLine"/>passes=&lt;number&gt;        <!--XLATESTART-->Specifies number of times to run diagnostics.<!--XLATESTOP-->
			<xsl:call-template name="NewLine"/>time=&lt;minute&gt;          <!--XLATESTART-->Specifies amount of time to run diagnostics.<!--XLATESTOP-->
			<xsl:call-template name="NewLine"/>quicktest=true|false   <!--XLATESTART-->Specifies mode of the test - quick mode or normal mode.<!--XLATESTOP-->
			<xsl:call-template name="NewLine"/>haltonerror=true|false <!--XLATESTART-->Specifies whether the test should be aborted on error.<!--XLATESTOP-->
			<xsl:call-template name="NewLine"/>
			<xsl:call-template name="NewLine"/>Note! The test will not stop within the specified Run Time until it completes the current pass. The test will start the next pass only if there is an optimum amount of Run Time remaining for the test to run.
             </xsl:if>
	</xsl:template>
	<xsl:template name="CLISubCommand">
		<xsl:param name="command"/>
		<xsl:if test="$command != ''">
			<xsl:value-of select="$command"/>
			<xsl:call-template name="Spaces">
				<xsl:with-param name="num"><xsl:value-of select="(16) - string-length($command)"/></xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="Spaces">
		<xsl:param name="num"/>
		<xsl:text> </xsl:text>
		<xsl:if test="$num &gt; '0'">
			<xsl:call-template name="Spaces">
				<xsl:with-param name="num">
					<xsl:value-of select="($num) - 1"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="NewLine">
		<xsl:text>
</xsl:text>
	</xsl:template>
</xsl:stylesheet>
