<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml"/>
	<xsl:template match="OMA">
		<DataArea>
			<Subheader display="On-Line Diagnostics Session Results Logs"/>
			<xsl:value-of select="./text()"/>
			<!--
			<xsl:apply-templates select="//Device"/>
			<xsl:apply-templates select="//Error"/>
			<xsl:apply-templates select="//BadDevice"/>
			<xsl:apply-templates select="//BadTest"/>
			-->
		</DataArea>
	</xsl:template>
	<xsl:template match="Device">
		<ListData>
			<Data>
				<xsl:attribute name="display">Device Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Description</xsl:attribute>
				<xsl:attribute name="value"><xsl:choose><xsl:when test="starts-with(@description, ' ')"><xsl:value-of select="substring(@description, 2)"/></xsl:when><xsl:otherwise><xsl:value-of select="@description"/></xsl:otherwise></xsl:choose></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Location</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@location"/></xsl:attribute>
			</Data>
			<Data>
				<!-- Decide whether I was passed additional info -->
				<xsl:attribute name="name">Additional Info</xsl:attribute>
				<xsl:attribute name="display">Additional Info</xsl:attribute>
				<xsl:choose>
					<xsl:when test="@additionalhwinfo=.">
						<xsl:attribute name="value">No additional information available</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="@additionalhwinfo"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data>
				<xsl:attribute name="display">Test Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="../Test/@name"/></xsl:attribute>
			</Data>
			<Data>
				<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
				<!-- 0 = Unknown; 1 = Unknown ; 2 = OK ;  3 = Non-Critical ; 4 = Critical ; 5 =  Non-Recoverable ; 6 = Aborted -->
				<xsl:attribute name="name">Result</xsl:attribute>
				<xsl:attribute name="display">Result</xsl:attribute>
				<xsl:choose>
					<xsl:when test="contains(./../../@type, '0')">
						<xsl:attribute name="value">In Progress</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(./../../@type, '1')">
						<xsl:attribute name="value">Suspended</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(./../../@type, '2')">
						<xsl:attribute name="value">Failed</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(./../../@type, '3')">
						<xsl:attribute name="value">Aborted</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(./../../@type, '4')">
						<xsl:attribute name="value">Passed</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(./../../@type, '5')">
						<xsl:attribute name="value">Warning</xsl:attribute>
					</xsl:when>
				</xsl:choose>
			</Data>
			<xsl:choose>
				<xsl:when test="(../DiagnosticSettings/@runtime=-1) and (./../../@totalpasses!=-1)">
					<Data>
						<xsl:attribute name="display">Passes</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="./../../@totalpasses"/></xsl:attribute>
					</Data>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="display">RunTime</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="../DiagnosticSettings/@runtime"/></xsl:attribute>
					</Data>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="./../../@totalpasses=1">
					<xsl:for-each select="./../../ResultEvent">
						<Data>
							<xsl:attribute name="display">Result Event</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="@eventstring"/></xsl:attribute>
						</Data>
					</xsl:for-each>
				</xsl:when>
				<xsl:when test="(./../../@totalpasses > 1) or (./../../@totalpasses = -1)">
					<xsl:variable name="eventtypes">
						<xsl:for-each select="./../../Result/ResultEvent">
							<xsl:value-of select="@eventtype"/>,</xsl:for-each>
					</xsl:variable>
					<xsl:choose>
						<xsl:when test="(./../../@type!=4) and (./../../@type!=3) and (contains($eventtypes, 0) and contains($eventtypes, 1)) or (contains($eventtypes, 0) and contains($eventtypes, 2)) or (contains($eventtypes, 1) and contains($eventtypes, 2)) or (contains($eventtypes, 0) and contains($eventtypes, 1) and contains($eventtypes, 2))">
							<Data>
								<xsl:attribute name="display">Result Event</xsl:attribute>
								<xsl:attribute name="value"><xsl:choose><xsl:when test="contains($eventtypes, 2)"><xsl:for-each select="./../../../Result/Result[@type='2']"><xsl:sort select="Result[@currentpass]" data-type="number" order="descending"/><xsl:if test="position() = 1"><xsl:value-of select="ResultEvent/@eventstring"/></xsl:if></xsl:for-each></xsl:when><xsl:when test="contains($eventtypes, 1)"><xsl:for-each select="./../../../Result/Result[@type='5']"><xsl:sort select="Result[@currentpass]" data-type="number" order="descending"/><xsl:if test="position() = 1"><xsl:value-of select="ResultEvent/@eventstring"/></xsl:if></xsl:for-each></xsl:when><xsl:when test="contains($eventtypes, 0)"><xsl:for-each select="./../../../Result/Resul[@type='4']"><xsl:sort select="Result[@currentpass]" data-type="number" order="descending"/><xsl:if test="position() = 1"><xsl:value-of select="ResultEvent/@eventstring"/></xsl:if></xsl:for-each></xsl:when></xsl:choose></xsl:attribute>
							</Data>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="./../../@type=3">
									<xsl:for-each select="./../../Result/ResultEvent">
										<xsl:sort select="Result[@currentpass]" data-type="number" order="descending"/>
										<xsl:if test="position() = last()">
											<Data>
												<xsl:attribute name="display">Result Event</xsl:attribute>
												<xsl:attribute name="value"><xsl:value-of select="@eventstring"/></xsl:attribute>
											</Data>
										</xsl:if>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>
									<xsl:for-each select="./../../Result[../@totalpasses=@currentpass]/ResultEvent">
										<xsl:sort select="." data-type="number" order="ascending"/>
										<Data>
											<xsl:attribute name="display">Result Event</xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="@eventstring"/></xsl:attribute>
										</Data>
									</xsl:for-each>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
			</xsl:choose>
		</ListData>
	</xsl:template>
	<xsl:template match="Error">
		<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART--><!--Error! --><!--XLATESTOP--><xsl:value-of select="@display"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<xsl:template match="BadDevice">
		<xsl:if test="@display!=''">
			<ListData>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Warning! Device Index not found </xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="@display"/></xsl:attribute>
				</Data>
			</ListData>
		</xsl:if>
	</xsl:template>
	<xsl:template match="BadTest">
		<ListData>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Warning! Test Index not found </xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@display"/></xsl:attribute>
			</Data>
		</ListData>
	</xsl:template>
</xsl:stylesheet>
