<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="DiagnosticLearnMore">
		<html>
			<head>
				<title>
					<xsl:value-of select="./DiagnosticHelp/PageTitle"/>
				</title>
				<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css"/>
				<xsl:if test="/OMA/@skin != ''">
					<link rel="stylesheet" type="text/css">
						<xsl:attribute name="href">/oma/skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
					</link>
					<xsl:if test="/OMA/@language != ''">
						<link rel="stylesheet" type="text/css">
							<xsl:attribute name="href">/oma/skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if><xsl:value-of select="/OMA/@language"/>/scheme.css</xsl:attribute>
						</link>
						<xsl:if test="/OMA/@country != ''">
							<link rel="stylesheet" type="text/css">
								<xsl:attribute name="href">/oma/skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if><xsl:value-of select="/OMA/@language"/>/<xsl:value-of select="/OMA/@country"/>/scheme.css</xsl:attribute>
							</link>
						</xsl:if>
					</xsl:if>
				</xsl:if>
			</head>
			<body>
				<br/>
				<table cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td width="15">
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
						</td>
						<td>
							<a name="top">
								<h3>
									<span class="data-area-page-title">
										<xsl:value-of select="./DiagnosticHelp/PageTitle"/>
									</span>
								</h3>
							</a>
						</td>
						<td width="15"/>
					</tr>
				</table>
				<br/>
				<table border="0" cellspacing="0" cellpadding="0" width="100%">
					<tr>
						<td width="14">
							<img alt="" src="/oma/images/blank.gif" width="14" height="1"/>
						</td>
						<td class="data-area-jump-bar" align="left" width="100%">
							<table border="0" cellspacing="0" cellpadding="0">
								<tr>
									<xsl:for-each select="./DiagnosticHelp">
										<xsl:choose>
											<xsl:when test="./DeviceTestPairs">
												<xsl:for-each select="./DeviceTestPairs">
													<xsl:call-template name="JumpBar">
														<xsl:with-param name="id" select="position()"/>
														<xsl:with-param name="value" select="./DeviceName/text()"/>
													</xsl:call-template>
													<xsl:if test="position()=last()">
														<td align="center" valign="middle" width="20">
															<img alt="" height="10" width="20" align="absmiddle">
																<xsl:choose>
																	<xsl:when test="/OMA/@scheme != ''">
																		<xsl:attribute name="src">/oma/skins/modern/schemes/accessible/images/cbullet.gif</xsl:attribute>
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:attribute name="src">/oma/skins/modern/images/cbullet.gif</xsl:attribute>
																	</xsl:otherwise>
																</xsl:choose>
															</img>
														</td>
													</xsl:if>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>
												<xsl:call-template name="JumpBar">
													<xsl:with-param name="id" select="position()"/>
													<xsl:with-param name="value" select="./DeviceName/text()"/>
												</xsl:call-template>
												<td align="center" valign="middle" width="20">
													<img alt="" height="10" width="20" align="absmiddle">
														<xsl:choose>
															<xsl:when test="/OMA/@scheme != ''">
																<xsl:attribute name="src">/oma/skins/modern/schemes/accessible/images/cbullet.gif</xsl:attribute>
															</xsl:when>
															<xsl:otherwise>
																<xsl:attribute name="src">/oma/skins/modern/images/cbullet.gif</xsl:attribute>
															</xsl:otherwise>
														</xsl:choose>
													</img>
												</td>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</tr>
							</table>
						</td>
						<td width="14">
							<img alt="" src="/oma/images/blank.gif" width="14" height="1"/>
						</td>
					</tr>
				</table>
				<br/>
				<xsl:apply-templates/>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="JumpBar">
		<xsl:param name="id"/>
		<xsl:param name="value"/>
		<td align="center" valign="middle" width="30">
			<img alt="" height="10" width="20" align="absmiddle">
				<xsl:choose>
					<xsl:when test="/OMA/@scheme != ''">
						<xsl:attribute name="src">/oma/skins/modern/schemes/accessible/images/cbullet.gif</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="src">/oma/skins/modern/images/cbullet.gif</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</img>
		</td>
		<td>
			<div>
				<a href="#device-header{$id}" class="data-area-jump-bar">
					<xsl:value-of select="$value"/>
				</a>
			</div>
		</td>
	</xsl:template>
	<xsl:template match="DiagnosticHelp">
		<xsl:apply-templates select="DeviceTestPairs"/>
		<xsl:apply-templates select="DeviceName"/>
		<xsl:apply-templates select="DeviceDescription"/>
		<xsl:apply-templates select="Assumptions"/>
		<xsl:apply-templates select="Dependencies"/>
		<xsl:apply-templates select="Prerequisites"/>
		<xsl:apply-templates select="Section"/>
		<xsl:apply-templates select="DeviceNote"/>
		<xsl:apply-templates select="CopyrightText"/>
		<table border="0" cellspacing="1" cellpadding="1" width="100%">
			<tr>
				<td style="width: 10px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td>
					<div>[<a href="#top" class="data-area-back-to-top">
							<xsl:value-of select="$strBACKTOTOP"/>
						</a>]</div>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="DeviceTestPairs">
		<xsl:apply-templates/>
		<xsl:if test="position() != last()">
			<table border="0" cellspacing="1" cellpadding="1" width="100%">
				<tr>
					<td style="width: 10px">
						<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
					</td>
					<td>
						<div>[<a href="#top" class="data-area-back-to-top">
								<xsl:value-of select="$strBACKTOTOP"/>
							</a>]</div>
					</td>
				</tr>
			</table>
		</xsl:if>
	</xsl:template>
	<xsl:template match="DeviceName">
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="15">
					<img border="0" width="1" height="1" src=""/>
				</td>
				<td height="2" class="data-area-separator">
					<img border="0" width="1" height="1" src=""/>
				</td>
				<td width="15">
					<img border="0" width="1" height="1" src=""/>
				</td>
			</tr>
			<tr>
				<td width="15">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="center">
					<xsl:element name="a">
						<xsl:attribute name="name">device-header<xsl:number level="any"/></xsl:attribute>
					</xsl:element>
					<h3>
						<span class="data-area-summary-section-header">
							<xsl:value-of select="."/>
						</span>
					</h3>
				</td>
				<td width="15">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="DeviceDescription">
		<table cellpadding="1" cellspacing="1" border="0">
			<tr>
				<td style="width: 10px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="left" valign="top">
					<xsl:apply-templates/>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="Section">
		<table cellpadding="1" cellspacing="1" border="0">
			<tr>
				<td style="width: 10px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="left" valign="top">
					<h4>
						<span class="data-area-sub-header">
							<xsl:value-of select="$strTestDeatils"/>
						</span>
					</h4>
				</td>
			</tr>
		</table>
		<br/>
		<xsl:apply-templates select="Test"/>
	</xsl:template>
	<xsl:template match="Test">
		<table width="100%"  cellpadding="1" cellspacing="1" border="0">
			<tr>
				<td width="2%">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="left" valign="top" width="20%">
					<h4>
						<span class="data-area-sub-header">
							<xsl:value-of select="./TestName"/>
						</span>
					</h4>
				</td>
				<td align="left" valign="top" width="78%">
					<xsl:choose>
						<xsl:when test="./TestDescription/Param">
							<xsl:copy-of select="./TestDescription/text()"/>
							<ul>
								<xsl:for-each select="./TestDescription/Param">
									<li>
										<xsl:apply-templates/>
									</li>
								</xsl:for-each>
							</ul>
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates select="./TestDescription"/>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:call-template name="DisplayTestDetails">
						<xsl:with-param name="testHeader" select="$strTestMode"/>
						<xsl:with-param name="compareNode" select="./TestMode"/>
					</xsl:call-template>
					<xsl:call-template name="DisplayTestDetails">
						<xsl:with-param name="testHeader" select="$strTestCapabilities"/>
						<xsl:with-param name="compareNode" select="./TestCapabilities"/>
					</xsl:call-template>
					<xsl:apply-templates select="Limitation"/>
					<xsl:apply-templates select="Note"/>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template name="DisplayTestDetails">
		<xsl:param name="testHeader"/>
		<xsl:param name="compareNode"/>
		<xsl:if test="$compareNode/Param">
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td width="25%" align="left" valign="top" nowrap="nowrap">
						<xsl:value-of select="$testHeader"/>
					</td>
					<td width="75%" align="left" valign="top">
						<xsl:value-of select="$strColan"/><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text><xsl:for-each select="$compareNode/Param"><xsl:value-of select="."/><xsl:if test="position() != last()"><xsl:value-of select="$strComma"/></xsl:if></xsl:for-each>
					</td>
				</tr>
			</table>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Limitation">
		<xsl:choose>
			<xsl:when test="count(.//Param) &gt; 1">
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td align="left" valign="top">
							<span>
								<img src="/oldiags/images/caution.gif" width="20" height="17" border="0" alt="caution.gif"/>
							</span>
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text>
							<span style="font-weight: bold;">
								<xsl:value-of select="$strLimitations"/>
							</span>
						</td>
					</tr>
					<tr>
						<td align="left" valign="top" colspan="2">
							<ul>
								<xsl:for-each select="./Param">
									<li>
										<span>
											<xsl:apply-templates/>
										</span>
									</li>
								</xsl:for-each>
							</ul>
						</td>
					</tr>
				</table>
			</xsl:when>
			<xsl:when test="count(.//Param) = 1">
				<table>
					<tr>
						<td align="left" valign="top">
							<span>
								<img src="/oldiags/images/caution.gif" width="20" height="17" border="0" alt="caution.gif"/>
							</span>
						</td>
						<td align="left" valign="top">
							<p>
								<span style="font-weight: bold;">
									<xsl:value-of select="$strLimitation"/>
								</span>
								<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;&nbsp;]]></xsl:text>
								<span>
									<xsl:apply-templates select="./Param"/>
								</span>
							</p>
						</td>
					</tr>
				</table>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Param | TestDescription">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="a | img | font | b | br | i | u | p | pre | hr">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="Note">
		<table>
			<tr>
				<td align="left" valign="top">
					<span>
						<img src="/oldiags/images/note.gif" width="17" border="0" height="17" alt="note.gif"/>
					</span>
				</td>
				<td align ="left" valign="top">
						<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
						<span style="font-weight: bold;">
							<xsl:value-of select="$strNOTE"/>
						</span>
						<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
						<span>
							<xsl:apply-templates/>
						</span>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="DeviceNote">
		<table border="0" cellspacing="1" cellpadding="1">
			<tr>
				<td style="width: 10px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="left" valign="top">
					<img src="/oldiags/images/caution.gif" width="20" height="17" border="0" alt="caution.gif"/>
				</td>
				<td align="left" valign="top">
					<p>
						<span style="font-weight: bold;">
							<xsl:value-of select="$strCAUTION"/>
						</span>
						<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
						<xsl:apply-templates/>
					</p>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="Assumptions">
		<xsl:call-template name="PrintParams">
			<xsl:with-param name="sideHeader" select="$strAssumptions"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="Dependencies">
		<xsl:call-template name="PrintParams">
			<xsl:with-param name="sideHeader" select="$strDependencies"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="Prerequisites">
		<xsl:call-template name="PrintParams">
			<xsl:with-param name="sideHeader" select="$strPrerequisites"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="PrintParams">
		<xsl:param name="sideHeader"/>
		<xsl:if test="./Param">
			<table border="0" cellspacing="1" cellpadding="1">
				<tr>
					<td style="width: 5px">
						<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
					</td>
					<td align="left" valign="top">
						<h4>
							<span class="data-area-summary-section-header">
								<xsl:value-of select="$sideHeader"/>
							</span>
						</h4>
						<ul>
							<xsl:for-each select="./Param">
								<li>
									<xsl:apply-templates/>
								</li>
							</xsl:for-each>
						</ul>
					</td>
				</tr>
			</table>
			<br/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="CopyrightText">
		<table border="0" cellspacing="1" cellpadding="1" width="100%">
			<tr>
				<td style="width: 10px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td style="width: 10px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
			</tr>
			<tr>
				<td style="width: 12px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td>
					<span>
						<xsl:value-of select="$strCOPYRIGHT"/>
					</span>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="NoHelp">
		<br/>
		<table cellspacing="1" cellpadding="1" border="0" align="center">
			<tr>
				<td width="15">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td>
					<a name="top">
						<h3>
							<span class="data-area-page-title">
								<xsl:value-of select="$strNoHelp"/>
							</span>
						</h3>
					</a>
				</td>
				<td width="15"/>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
