<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<xsl:element name="DataArea">
			<xsl:attribute name="exportdata">false</xsl:attribute>
			<xsl:attribute name="validate">true</xsl:attribute>
			<xsl:attribute name="email">true</xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticAdvancedSettingsWebPlugin&amp;ct=<xsl:value-of select="/OMA/Component"/>&amp;snb=<xsl:value-of select="/OMA/Snb"/>&amp;lsnb=<xsl:value-of select="/OMA/Lsnb"/></xsl:attribute>
			<xsl:if test="/OMA/CurrentSelectionIndex">
				<xsl:attribute name="backpagedisplay"><xsl:value-of select="$strBACKTOREVIEW"/></xsl:attribute>
				<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticReviewWebPlugin&amp;ct=<xsl:value-of select="/OMA/Component"/>&amp;snb=<xsl:value-of select="/OMA/Snb"/>&amp;lsnb=Review</xsl:attribute>
			</xsl:if>
			<script>
				// To fix DF38174
				function disableNumPasses()
				{
					var enteredRuntime ="" ;
					<xsl:if test="/OMA/RunTime!='-1'">
						enteredRuntime = <xsl:value-of select="/OMA/RunTime"/>;
						//alert("1 RunTime value is:" + enteredRuntime);
					</xsl:if>
					<xsl:if test="not(/OMA/RunTime)">
						enteredRuntime = <xsl:value-of select="/OMA/DiagnosticSettings/@runtime"/>;
						//alert("2 RunTime value is:" + enteredRuntime);
					</xsl:if>
					if (enteredRuntime != '' &amp;&amp; enteredRuntime != '-1')  {
						document.getElementById("NumberOfPasses").disabled = true ;
						document.getElementById("RunTime").disabled = false ;
					}		
				}

				function changeView(choice) {
					if (choice == '0')  {
						document.getElementById("RunTime").disabled = true;
						document.getElementById("RunTime").value = "";
						document.getElementById("NumberOfPasses").disabled = false ;
						document.getElementById("NumberOfPasses").value = 1 ;
					} else  {
						document.getElementById("NumberOfPasses").disabled = true ;
						document.getElementById("NumberOfPasses").value = "" ;
						document.getElementById("RunTime").disabled = false ;
						document.getElementById("RunTime").value  = <xsl:value-of select="/OMA/DiagnosticSettings/@runtimemin"/> ;
					}		
					return true;
				}
		
				function validate() 
				{
  					var errorMessage = "";
 					var numeric = "1234567890";

					var runtimepasschoice  ;
					
					for (var i = 0 ; i &lt; document.dataarea.length ; i++ ) 
					{
							var elem = document.dataarea.elements[i];
							
							if (elem.name == 'PassesRuntimeChoice' &amp;&amp; elem.checked) 
								runtimepasschoice  = elem.value ;
					}        

					var nospasses = document.getElementById("NumberOfPasses").value ;
					var runtime=document.getElementById("RunTime").value;
					
					if (runtimepasschoice  == 0) 
					{
						<!-- To fix defect 37452-->
				
						<xsl:variable name="numpassesvar">
						<xsl:choose>
						<xsl:when test="not(/OMA/NumberOfPasses)">
						<xsl:value-of select="/OMA/DiagnosticSettings/@numpasses"/>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="/OMA/NumberOfPasses"/></xsl:otherwise>
						</xsl:choose>
						</xsl:variable>

						<!--- Validate Nos of passes -->
						if (nospasses.length == 0) 
						{
							errorMessage += "<xsl:value-of select="$strBLANKPASSES"/>"
							alert(errorMessage);
							document.getElementById("NumberOfPasses").value = <xsl:value-of select="$numpassesvar"/>;
							return false;
						}
						
						else 
						{
							if ( (isNaN(nospasses)) ||  (nospasses &lt; 1) || (nospasses &gt; <xsl:value-of select="/OMA/DiagnosticSettings/@numpassesmax"/>) )
							{
								errorMessage += "<xsl:value-of select="$strNUMERICPASSES"/>";
								alert(errorMessage);
								document.getElementById("NumberOfPasses").value = <xsl:value-of select="$numpassesvar"/>;
								return false;
							}
							
							 else 
							{
				                    	var error = false ;
								
								for (var i=0 ; i &lt; nospasses.length ; i++) 
								{	

									if (numeric.indexOf(nospasses.charAt(i)) == -1)
	 									error = true ;
                	        				}
			
			                    	    	if (error) {
							   		errorMessage += "<xsl:value-of select="$strNUMERICPASSES"/>";  <!-- DIGITPASSES-->
									alert(errorMessage);
									document.getElementById("NumberOfPasses").value = <xsl:value-of select="$numpassesvar"/>;
									return false;
							      }
							}
						}
					}
					
					
					if (runtimepasschoice  == 1) 
					{
						<!-- To fix defect 37452-->

						<xsl:variable name="runtimevar"> 
						<xsl:choose>
							<xsl:when test="not(/OMA/RunTime)">
								<xsl:choose>
									<xsl:when test="/OMA/DiagnosticSettings/@runtime='-1'">
										<xsl:value-of select="/OMA/DiagnosticSettings/@runtimemin"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="/OMA/DiagnosticSettings/@runtime"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="/OMA/RunTime='-1'">
										<xsl:value-of select="/OMA/DiagnosticSettings/@runtimemin"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="/OMA/RunTime"/>
									</xsl:otherwise>
                                                </xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
						</xsl:variable>
						
						<!-- Validate Run Time  -->
						if (runtime.length == 0) 
						{
							errorMessage += "<xsl:value-of select="$strBLANKRUNTIME"/>";
							alert(errorMessage);
							document.getElementById("RunTime").value = <xsl:value-of select="$runtimevar"/>;
							return false;
						} 
						
						else 
						{
							
							if (( isNaN(runtime)) || (runtime &lt; <xsl:value-of select="/OMA/DiagnosticSettings/@runtimemin"/>)  || (runtime &gt; <xsl:value-of select="/OMA/DiagnosticSettings/@runtimemax"/>)  )		{
								errorMessage += "<xsl:value-of select="$strVALIDRUNTIME"/>";
								alert(errorMessage);
								document.getElementById("RunTime").value = <xsl:value-of select="$runtimevar"/>;
								return false;
							}  
						
							else 
							{
			                            	var error = false ;
   		       		
					                	for (var i=0 ; i &lt; runtime.length ; i++)
								 {
									if (numeric.indexOf(runtime.charAt(i)) == -1) 
										error = true ;
								}
		
	       	                	    		if (error)
								{
								    	errorMessage +=  "<xsl:value-of select="$strVALIDRUNTIME"/>";  <!-- strINVALIDRUNTIME-->
									alert(errorMessage);
									document.getElementById("RunTime").value = <xsl:value-of select="$runtimevar"/>;
									return false;
								}
							}
						}
					}
				
					<!-- Check if error has occured in input values -->			
					if (errorMessage == "") {
						if (runtimepasschoice == 0) {
						
							document.getElementById("RunTime").value = runtime ;
						} else {
							document.getElementById("NumberOfPasses").value = nospasses ;
						}
						return true ;
					}
					<!--else  {
						alert(errorMessage);
						return false ;
					}-->
				}
				
				
				</script>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strPAGETITLE"/></xsl:attribute>
			</PageTitle>
			<xsl:apply-templates select="DiagnosticSettings"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="DiagnosticSettings">
		<HTMLData>
			<script language="Javascript">
				disableNumPasses();
			</script>
		</HTMLData>
		<TableData>
			<Header>
				<Data colspan="1">
					<xsl:attribute name="display"><xsl:value-of select="$strPROPERTIES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strPROPERTIES"/></xsl:attribute>
				</Data>
				<Data name="Values" align="left" colspan="5">
					<xsl:attribute name="display"><xsl:value-of select="$strVALUES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVALUES"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strHALTERROR"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strHALTERROR"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="name">HaltOnError</xsl:attribute>
					<xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="/OMA/CurrentSelectionIndex">
						<xsl:choose>
							<xsl:when test="/OMA/HaltOnError ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">0</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="not(/OMA/CurrentSelectionIndex)">
						<xsl:choose>
							<xsl:when test="@haltonerror ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">0</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</Data>
				<Data value=""/>
			</Row>
			<!-- ##################################### QUICK TEST MODE SETTING    ################################ -->
			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strQUICKTEST"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strQUICKTEST"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="name">Quicktest</xsl:attribute>
					<xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="/OMA/CurrentSelectionIndex">
						<xsl:choose>
							<xsl:when test="/OMA/Quicktest ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">0</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="not(/OMA/CurrentSelectionIndex)">
						<xsl:choose>
							<xsl:when test="@quicktest ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">0</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</Data>
				<Data value=""/>
			</Row>
			<!-- ##################################### HALT LOOP ON ERROR SETTING   #################################### -->
			<Row>
				<Data name="HaltOnLoopErrorData">
					<xsl:attribute name="display"><xsl:value-of select="$strHALTONLOOPERROR"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strHALTONLOOPERROR"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="name">HaltOnMultiPassError</xsl:attribute>
					<xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:if test="/OMA/CurrentSelectionIndex">
						<xsl:choose>
							<xsl:when test="/OMA/HaltOnMultiPassError='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">0</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<xsl:if test="not(/OMA/CurrentSelectionIndex)">
						<xsl:choose>
							<xsl:when test="@haltonmultipasserror ='true'">
								<xsl:attribute name="state">1</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="state">0</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</Data>
				<Data value=""/>
			</Row>
			<Row rowspan="2">
			<Data value=""/>
			<Data value=""/>
			<Data value=""/>
			</Row>
			
			<!-- ##################################### RUN TIME / PASSES TOGGLE MODE SETTING    ################################ -->
			<Row>
				<Data>
					<xsl:attribute name="name">EnableRunTimePasses</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strRUNTIME"/><xsl:value-of select="$strSLASH"/><xsl:value-of select="$strNUMPASSES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strRUNTIME"/><xsl:value-of select="$strSLASH"/><xsl:value-of select="$strNUMPASSES"/></xsl:attribute>
				</Data>
				<Data type="radio">
					<xsl:attribute name="name">PassesRuntimeChoice</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strENABLENUMPASSES"/></xsl:attribute>
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:changeView(0);</xsl:attribute>
					<xsl:attribute name="returnvalue">0</xsl:attribute>
					<xsl:choose>
						<xsl:when test="(/OMA/NumberOfPasses = '-1') or (not(/OMA/CurrentSelectionIndex) and (@numberofpasses = '-1'))">
							<xsl:attribute name="state">0</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data type="radio">
					<xsl:attribute name="name">PassesRuntimeChoice</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strENABLERUNTIME"/></xsl:attribute>
					<xsl:attribute name="event">onClick</xsl:attribute>
					<xsl:attribute name="handler">javascript:changeView(1);</xsl:attribute>
					<xsl:attribute name="returnvalue">1</xsl:attribute>
					<xsl:choose>
						<xsl:when test="(/OMA/RunTime='-1') or (not(/OMA/CurrentSelectionIndex) and (@runtime='-1'))">
							<xsl:attribute name="state">0</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
			</Row>
			<!-- ##################################### NUMBER OF PASSES SETTING    ################################ -->
			<Row>
				<Data>
					<xsl:attribute name="name">NumberOfPassesData</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strNUMPASSES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strNUMPASSES"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="name">NumberOfPasses</xsl:attribute>
					<xsl:attribute name="size">5</xsl:attribute>
					<xsl:attribute name="maxlength">3</xsl:attribute>
					<xsl:attribute name="type">editbox</xsl:attribute>
					<xsl:choose>
						<xsl:when test="/OMA/CurrentSelectionIndex">
							<xsl:if test="/OMA/NumberOfPasses='-1'">
								<xsl:attribute name="value"/>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:if>
							<xsl:if test="not(/OMA/NumberOfPasses='-1')">
								<xsl:attribute name="value"><xsl:value-of select="/OMA/NumberOfPasses"/></xsl:attribute>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="@numpasses='-1'">
								<xsl:attribute name="value"/>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:if>
							<xsl:if test="not(@numpasses='-1')">
								<xsl:attribute name="value"><xsl:value-of select="@numpasses"/></xsl:attribute>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data value=""/>
			</Row>
			<!-- ##################################### RUN TIME SETTING   #################################### -->
			<Row>
				<Data name="RunTimeData">
					<xsl:attribute name="display"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strRUNTIME"/><xsl:text> </xsl:text>(<xsl:value-of select="$strRUNTIMEPASSES"/>)</xsl:attribute>
					<xsl:if test="(/OMA/RunTime=-1) or (@runtime= -1)">
						<xsl:attribute name="state">2</xsl:attribute>
					</xsl:if>
				</Data>
				<Data>
					<xsl:attribute name="name">RunTime</xsl:attribute>
					<xsl:attribute name="size">5</xsl:attribute>
					<xsl:attribute name="maxlength">4</xsl:attribute>
					<xsl:attribute name="type">editbox</xsl:attribute>
					<xsl:attribute name="unit"><xsl:value-of select="$strTIMEINMINUTES"/></xsl:attribute>
					<xsl:choose>
						<xsl:when test="/OMA/CurrentSelectionIndex">
							<xsl:if test="/OMA/RunTime='-1'">
								<xsl:attribute name="value"/>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:if>
							<xsl:if test="not(/OMA/RunTime='-1')">
								<xsl:attribute name="value"><xsl:value-of select="/OMA/RunTime"/></xsl:attribute>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="@runtime='-1'">
								<xsl:attribute name="value"/>
								<xsl:attribute name="state">2</xsl:attribute>
							</xsl:if>
							<xsl:if test="not(@runtime='-1')">
								<xsl:attribute name="value"><xsl:value-of select="@runtime"/></xsl:attribute>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data value=""/>
			</Row>

		</TableData>
		<xsl:if test="/OMA/CurrentSelectionIndex ">
			<HiddenTable>
				<Data type="hidden">
					<xsl:attribute name="name">CurrentSelectionIndex</xsl:attribute>
					<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/CurrentSelectionIndex"/></xsl:attribute>
				</Data>
			</HiddenTable>
		</xsl:if>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>

