<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/OMA">
		<DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticSettingsWebPlugin" validate="true" email="true" expand="false" exportdata="false">
			<xsl:apply-templates select="IncludePath"/>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strPAGETITLE"/></xsl:attribute>
			</PageTitle>
<!-- Commented to remove the "Restart Web Server" button (DFCT121392) -->
<!--
			<xsl:if test="(ServerRestartFlag='true')">
				<script language="javascript">
					function restart()
					{
						if (confirm("<xsl:value-of select="$strAREYOUDONE"/>")){
							document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin';
							document.getElementById("dataarea").submit();
						}
					}
				</script>
			</xsl:if>

			<CustomButton>			
				<xsl:if test="(ServerRestartFlag='true')">
					<Data name="shtdwn">
						<xsl:attribute name="display"><xsl:value-of select="$strRESTARTWEBSERVER"/></xsl:attribute>
						<xsl:attribute name="href">javascript:restart()</xsl:attribute>
						<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>			
				</xsl:if>				
			</CustomButton>
-->
			<xsl:if test="(MessageType='USEDPORT')">
				<PromptText><xsl:value-of select="$strUSEDPORT"/></PromptText>
			</xsl:if>

			<xsl:apply-templates select="AppSettings"/>
			<script>
			<!-- To fix defect 37452-->
			var RMIREGISTRYPORT = <xsl:value-of select="/OMA/AppSettings/RMIRegistryPortSetting"/> ;
			var RESULTHISTORY = <xsl:value-of select="/OMA/AppSettings/LogFileSetting[child::Type='History']/Size"/> ;
			var DIFFHISTORY = <xsl:value-of select="/OMA/AppSettings/LogFileSetting[child::Type='DiagDiff']/Size"/> ;
			var MAXCOMPLETEDTESTS = <xsl:value-of select="/OMA/AppSettings/MaxCompletedTests"/> ;
			var RESULTSTORETIMEOUT = <xsl:value-of select="/OMA/AppSettings/ResultStoreTimeout"/>
			
			function validate() 
			{
				var errorMessage = "";
				var numeric = "1234567890";
				var returnVal;
								
				var resulthistory = document.getElementById("ResultHistoryValue").value ;
				var diffhistory = document.getElementById("DiffHistoryValue").value;
				var registryport = document.getElementById("RMIRegistryPortValue").value ;
				var maxcompleted = document.getElementById("MaxCompletedTestsValue").value;
				var storetimeout = document.getElementById("ResultStoreTimeoutValue").value;
				
				if (registryport.length == 0) 
				{
					errorMessage += "<xsl:value-of select="$strREGPORTBLANK"/>" ;
					alert(errorMessage);
					document.getElementById("RMIRegistryPortValue").value=RMIREGISTRYPORT;
					return false;					
				}

				else 
				{
					if ( (isNaN(registryport)) ||  (registryport &lt; 1024) || (registryport &gt; 65535) )
					{
						errorMessage += "<xsl:value-of select="$strREGPORTNONNUMERIC"/>" ;
						alert(errorMessage);
						document.getElementById("RMIRegistryPortValue").value=RMIREGISTRYPORT;
						return false;
					} else
					{
			               	var error = false ;
                    			
						for (var i=0 ; i &lt; registryport.length ; i++) 
						{
			                    	if (numeric.indexOf(registryport.charAt(i)) == -1) 
								error = true ;
                      			}

				          	if (error)
					   	{	
					    		errorMessage += "<xsl:value-of select="$strREGPORTNONNUMERIC"/>" ; 
							alert(errorMessage);
							document.getElementById("RMIRegistryPortValue").value=RMIREGISTRYPORT;
							return false;						      
					      }
				      }
				}             

				if (resulthistory.length == 0) 
				{
					errorMessage += "<xsl:value-of select="$strHISTORYBLANK"/>";
					alert(errorMessage);
					document.getElementById("ResultHistoryValue").value=RESULTHISTORY;
					return false;					
				}	
				
				else
				 {
					if ( (isNaN(resulthistory)) ||  (resulthistory &lt; 1) || (resulthistory &gt; 5) )
					{
						errorMessage += "<xsl:value-of select="$strHISTORYNONNUMERIC"/>";
						alert(errorMessage);
						document.getElementById("ResultHistoryValue").value=RESULTHISTORY;
						return false;						
					} else
					{
						 var error = false ;
			
						for (var i=0 ; i &lt; resulthistory.length ; i++) 
						{
							if (numeric.indexOf(resulthistory.charAt(i)) ==  -1) 
								error = true ;
						}
						
						if (error)
						{
						    errorMessage += "<xsl:value-of  select="$strHISTORYNONNUMERIC"/>"; 
						    alert(errorMessage);
						    return false;
						    //returnVal = display(errorMessage);
						    //return returnVal;		
						}
					}
				}
			
				if (diffhistory.length == 0) 
				{
					errorMessage += "<xsl:value-of select="$strDIFFBLANK"/>" ;
					alert(errorMessage);
					document.getElementById("DiffHistoryValue").value=DIFFHISTORY;
					return false;					
				} else 
				{
					if ( (isNaN(diffhistory)) ||  (diffhistory &lt; 1) || (diffhistory &gt; 5) )
					{
						errorMessage += "<xsl:value-of select="$strDIFFNONNUMERIC"/>" ;
						alert(errorMessage);
						document.getElementById("DiffHistoryValue").value=DIFFHISTORY;
						return false;
					} else 
					{
						var error = false ;
						
						for (var i=0 ; i &lt; diffhistory.length ; i++) 
						{
							if (numeric.indexOf(diffhistory.charAt(i)) == -1) 
								error = true ;
                      			}
		
						if (error)
						{
						    errorMessage += "<xsl:value-of select="$strDIFFNONNUMERIC"/>" ; 
						    alert(errorMessage);
						    return false;
						}

					}
				}
							
				if (maxcompleted.length == 0) 
				{
					errorMessage += "<xsl:value-of select="$strMAXCOMPLETEDBLANK"/>" ;
					alert(errorMessage);
					document.getElementById("MaxCompletedTestsValue").value=MAXCOMPLETEDTESTS;
					return false;					
				} else 
				{
					if ( (isNaN(maxcompleted)) ||  (maxcompleted &lt; 0 ) || (maxcompleted &gt; 50 ))
					{
						errorMessage += "<xsl:value-of select="$strMAXCOMPLETEDINVALID"/>" ;
						alert(errorMessage);
						document.getElementById("MaxCompletedTestsValue").value=MAXCOMPLETEDTESTS;
						return false;
					} else
					{
			              	var error = false ;
                    			
						for (var i=0 ; i &lt; maxcompleted.length ; i++) 
						{
			                    	if (numeric.indexOf(maxcompleted.charAt(i)) == -1) 
								error = true ;
                      			}

				            if (error)
					      {	
					    		errorMessage += "<xsl:value-of select="$strMAXCOMPLETEDINVALID"/>" ; 
							alert(errorMessage);
							document.getElementById("MaxCompletedTestsValue").value=MAXCOMPLETEDTESTS;
							return false;						
					      }
				      }
				}

				if (storetimeout.length == 0) 
				{
					errorMessage += "<xsl:value-of select="$strSTORETIMEOUTBLANK"/>" ;
					alert(errorMessage);
					document.getElementById("ResultStoreTimeoutValue").value=RESULTSTORETIMEOUT;
					return false;					
				} else 
				{
					if ( (isNaN(storetimeout)) ||  (storetimeout &lt; 30 ) || (storetimeout &gt; 2880 ))
					{
						errorMessage += "<xsl:value-of select="$strSTORETIMEOUTINVALID"/>" ;
						alert(errorMessage);
						document.getElementById("ResultStoreTimeoutValue").value=RESULTSTORETIMEOUT;
						return false;
					} else
					{
			              	var error = false ;
                    			
						for (var i=0 ; i &lt; storetimeout.length ; i++) 
						{
			                    	if (numeric.indexOf(storetimeout.charAt(i)) == -1) 
								error = true ;
                      			}

				            if (error)
					      {	
					    		errorMessage += "<xsl:value-of select="$strSTORETIMEOUTINVALID"/>" ; 
							alert(errorMessage);
							document.getElementById("ResultStoreTimeoutValue").value=RESULTSTORETIMEOUT;
							return false;
						}
				    }
				}

				if (registryport != RMIREGISTRYPORT) {
					alert("<xsl:value-of select="$strRESTARTMESG"/>");
				}

				return true;
		}

		
		<!-- No longer used, remove it
		function display(errorMessage) 
		{
				if (errorMessage == "") 
				{
					if (registryport != RMIREGISTRYPORT) 
					{
						if (confirm('<xsl:value-of select="$strCONFIRMMESG"/>'))
						{
						    	var action = "&amp;Action=saveSettings" ;
        						var diffhistoryparam   = "&amp;DiffHistoryValue=" + diffhistory ;
        						var resulthistoryparam   = "&amp;ResultHistoryValue=" + resulthistory ;
							var rmiregistryparam  =  "&amp;RMIRegistryPortValue=" + registryport ;
							var systemalertparam = "&amp;SystemAlertValue=0" ;
							var testalertparam = "&amp;TestAlertsValue=0" ;
							var emailalertparam = "&amp;EmailAlertsValue=0" ;
							var rebootparam = "&amp;Reboot=true" ;
							var completedtestsparam = "&amp;MaxCompletedTestsValue=maxcompleted" ;
							var storetimeoutparam = "&amp;ResultStoreTimeoutValue=storetimeout" ;

							

							if (document.getElementById('SystemAlertValue').checked) 
							{
								systemalertparam = "&amp;SystemAlertValue=1";
							}
							
							if (document.getElementById('TestAlertsValue').checked) 
							{
								testalertparam = "&amp;TestAlertsValue=1";
							}
							
							if (document.getElementById('EmailAlertsValue').checked) 
							{
								emailalertparam = "&amp;EmailAlertsValue=1";
							}

						   document.getElementById("hiddenframe").src = "/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticSettingsWebPlugin" + diffhistoryparam + resulthistoryparam  + systemalertparam + testalertparam  + emailalertparam + rmiregistryparam + action + rebootparam + completedtestsparam + storetimeoutparam;
							// Adding in the delay to allow the Server to save settings before reseting.
							for (var i = 0 ; i &lt; 2000 ; i++) { }
						    document.dataarea.action = "/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin" ;
						}						
						return true ;
					} 
					
					else 
					{
						return true ;
					}
			} 
			
			else 
			{
				alert(errorMessage);
				return false;
			}
		}
		-->

		</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="AppSettings">
		<!-- No longer used, remove it
		<HiddenTable>
			<Data type="hidden">
				<xsl:attribute name="name">Reboot</xsl:attribute>
				<xsl:attribute name="returnvalue">false</xsl:attribute>
			</Data>
		</HiddenTable>
		-->
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><xsl:value-of select="$strREFRESH"/></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticSettingsWebPlugin</xsl:attribute>
			</Data>
		</CustomButton>		
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strSETTINGSTITLE"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strSETTINGSTITLE"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strVALUES"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strVALUES"/></xsl:attribute>
				</Data>
			</Header>
		<!--	<xsl:apply-templates select="SystemAlertSetting"/> -->
			<xsl:apply-templates select="TestAlertSettings"/>
			<xsl:apply-templates select="WelcomePageDisplay"/>
			<xsl:apply-templates select="RMIRegistryPortSetting"/>
		<!--	<xsl:apply-templates select="EmailAlertSettings"/> -->
			<xsl:apply-templates select="LogFileSetting"/>
			<xsl:apply-templates select="MaxCompletedTests"/>
			<xsl:apply-templates select="ResultStoreTimeout"/>
		</TableData>
		<!-- No longer used, remove it
		<HTMLData>
			<iframe id="hiddenframe" name="hiddenframe" style="visibility: hidden; height: 1px; width: 1px; top: 0px; left: 0px; position: absolute; z-index: -1" src="/oldiags/docs/blank.html"/>
		</HTMLData>
		-->
	</xsl:template>
	<xsl:template match="SystemAlertSetting">
		<Row>
			<Data>
				<xsl:attribute name="name">SystemAlertValue</xsl:attribute>
				<xsl:attribute name="display"><xsl:value-of select="$strAPPWARNMSG"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strAPPWARNMSG"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">SystemAlertValue</xsl:attribute>
				<xsl:attribute name="type">checkbox</xsl:attribute>
				<xsl:attribute name="returnvalue">0</xsl:attribute>
				<xsl:choose>
					<xsl:when test=". ='true'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="state">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="TestAlertSettings">
		<Row>
			<Data>
				<xsl:attribute name="name">TestAlertsValue</xsl:attribute>
				<xsl:attribute name="display"><xsl:value-of select="$strTESTWARNMESG"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strTESTWARNMESG"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">TestAlertsValue</xsl:attribute>
				<xsl:attribute name="type">checkbox</xsl:attribute>
				<xsl:attribute name="returnvalue">0</xsl:attribute>
				<xsl:choose>
					<xsl:when test=". ='true'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="state">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="WelcomePageDisplay">
		<Row>
			<Data>
				<xsl:attribute name="name">WelcomePage</xsl:attribute>
				<xsl:attribute name="display">WelcomePage</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strDIAGNOSTICWARNINGPAGE"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">DisplayWelcome</xsl:attribute>
				<xsl:attribute name="type">checkbox</xsl:attribute>
				<xsl:attribute name="returnvalue">0</xsl:attribute>
				<xsl:choose>
					<xsl:when test=". ='true'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="state">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="EmailAlertSettings">
		<Row>
			<Data>
				<xsl:attribute name="name">EmailAlertsValue</xsl:attribute>
				<xsl:attribute name="display"><xsl:value-of select="$strEMAILNOTIFYMESG"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strEMAILNOTIFYMESG"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">EmailAlertsValue</xsl:attribute>
				<xsl:attribute name="type">checkbox</xsl:attribute>
				<xsl:attribute name="returnvalue">0</xsl:attribute>
				<xsl:choose>
					<xsl:when test=". ='true'">
						<xsl:attribute name="state">1</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="state">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="RMIRegistryPortSetting">
		<Row>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="$strRMIREGPORT"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strRMIREGPORT"/></xsl:attribute>
				<xsl:attribute name="width">70%</xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">RMIRegistryPortValue</xsl:attribute>
				<xsl:attribute name="width">30%</xsl:attribute>
				<xsl:attribute name="size">5</xsl:attribute>
				<xsl:attribute name="maxlength">5</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
				<xsl:attribute name="type">editbox</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="MaxCompletedTests">
		<Row>
			<Data>
				<xsl:attribute name="name">MaxCompletedTestsText</xsl:attribute>
				<xsl:attribute name="display"><xsl:value-of select="$strMAXCOMPLETED"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strMAXCOMPLETED"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">MaxCompletedTestsValue</xsl:attribute>
				<xsl:attribute name="size">5</xsl:attribute>
				<xsl:attribute name="maxlength">2</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
				<xsl:attribute name="type">editbox</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="ResultStoreTimeout">
		<Row>
			<Data>
				<xsl:attribute name="name">ResultStoreTimeoutText</xsl:attribute>
				<xsl:attribute name="display"><xsl:value-of select="$strRESULTSTORETIMEOUT"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strRESULTSTORETIMEOUT"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">ResultStoreTimeoutValue</xsl:attribute>
				<xsl:attribute name="size">5</xsl:attribute>
				<xsl:attribute name="maxlength">4</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
				<xsl:attribute name="type">editbox</xsl:attribute>
				<xsl:attribute name="unit"><xsl:value-of select="$strMINUTES"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="LogFileSetting">
		<Row>
			<xsl:choose>
				<xsl:when test="Type = 'History'">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strDIAGRESULTHISTORY"/></xsl:attribute>
						<xsl:attribute name="display">ResultHistoryValue</xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="name">ResultHistoryValue</xsl:attribute>
						<xsl:attribute name="size">5</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
						<xsl:attribute name="maxlength">1</xsl:attribute>
						<xsl:attribute name="type">editbox</xsl:attribute>
						<xsl:attribute name="unit"><xsl:value-of select="$strMBUNIT"/></xsl:attribute>
					</Data>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strCONFIGCHANGEHISTORY"/></xsl:attribute>
						<xsl:attribute name="display">DiffHistoryValue</xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="name">DiffHistoryValue</xsl:attribute>
						<xsl:attribute name="size">5</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
						<xsl:attribute name="maxlength">1</xsl:attribute>
						<xsl:attribute name="type">editbox</xsl:attribute>
						<xsl:attribute name="unit"><xsl:value-of select="$strMBUNIT"/></xsl:attribute>
					</Data>
				</xsl:otherwise>
			</xsl:choose>
		</Row>
	</xsl:template>
</xsl:stylesheet>

