<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="Component" select="/OMA/Component"/>
	<xsl:variable name="Snb" select="/OMA/Snb"/>
	<xsl:variable name="BASEURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticDiffHistoryWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagDiff</xsl:variable>
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<DataArea>
			<xsl:variable name="srtfld">
				<xsl:value-of select="SortField"/>
			</xsl:variable>
			<xsl:variable name="srtorder">
				<xsl:value-of select="SortOrder"/>
			</xsl:variable>
			<xsl:if test="count(DiagnosticResults/Session/Differences)=0">
				<xsl:attribute name="exportdata">false</xsl:attribute>
				<xsl:attribute name="printable">false</xsl:attribute>
				<xsl:attribute name="expand">false</xsl:attribute>
				<xsl:attribute name="expandl">false</xsl:attribute>
				<xsl:attribute name="email">false</xsl:attribute>
				<xsl:attribute name="submitdisplay"><xsl:value-of select="$strVIEWHWCHANGES"/></xsl:attribute>
				<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagDiff</xsl:attribute>
				<xsl:call-template name="DisplayPageTitle"/>
				<xsl:call-template name="NoDifferenceAvailable"/>
			</xsl:if>
			<xsl:if test="not(count(DiagnosticResults/Session/Differences)=0)">
				<xsl:attribute name="exportdata">true</xsl:attribute>
				<xsl:attribute name="expand">true</xsl:attribute>
				<xsl:attribute name="email">true</xsl:attribute>
				<xsl:attribute name="submitdisplay"><xsl:value-of select="$strBACKTOHWCHANGES"/></xsl:attribute>
				<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagDiff</xsl:attribute>
				<xsl:call-template name="DisplayPageTitle"/>
				<PromptText>
					<xsl:value-of select="$strPROMPTTEXT"/>
				</PromptText>
				<script language="javascript">
				function clearLog()
				{
					document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticDiffHistoryWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagDiff';
					document.dataarea.submit();
				}
				function validate() {
					return true;
				}
			</script>
				<CustomButton>
					<Data name="Clear">
						<xsl:attribute name="display"><xsl:value-of select="$strCLEAR"/></xsl:attribute>
						<xsl:attribute name="href">javascript:clearLog()</xsl:attribute>
						<xsl:attribute name="formSubmit">true</xsl:attribute>
						<xsl:attribute name="method">post</xsl:attribute>
					</Data>
					<!--
					<Data name="Refresh">
						<xsl:attribute name="display"><xsl:value-of select="$strREFRESH"/></xsl:attribute>
						<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/></xsl:attribute>
					</Data>
					-->
				</CustomButton>
				<TableData columnspacing="true">
					<Header>
						<Data name="Status" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">status</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSTATUS"/></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strSTATUS"/></xsl:attribute>
						</Data>
						<Data name="Name" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">name</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strNAME"/></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strNAME"/></xsl:attribute>
						</Data>
						<Data name="TimeStamp" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">timestamp</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTIMESTAMP"/></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strTIMESTAMP"/></xsl:attribute>
						</Data>
						<Data name="Locator" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">location</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDEVICELOCATOR"/></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strDEVICELOCATOR"/></xsl:attribute>
						</Data>
						<Data name="Description" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">description</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDEVICEDESCRIPTION"/></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strDEVICEDESCRIPTION"/></xsl:attribute>
						</Data>
						<!--
						<Data name="Descriptor" link="false">
							<xsl:attribute name="value"><xsl:value-of select="$strDEVICEDESCRIPTOR"/></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strDEVICEDESCRIPTOR"/></xsl:attribute>
						</Data>
						<Data name="AdditionalInfo" link="false">
							<xsl:attribute name="value"><xsl:value-of select="$strADDITIONALINFO"/></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strADDITIONALINFO"/></xsl:attribute>
						</Data>
						-->
					</Header>
					<!-- Determine what field the Data needs to be sorted. A Default field will also be specified in this template -->
					<xsl:call-template name="SORTDECIDE">
						<xsl:with-param name="sortkey">
							<xsl:value-of select="$srtfld"/>
						</xsl:with-param>
						<xsl:with-param name="sortorder">
							<xsl:choose>
								<xsl:when test="$srtorder != ''">
									<xsl:value-of select="$srtorder"/>
								</xsl:when>
							</xsl:choose>
						</xsl:with-param>
					</xsl:call-template>
				</TableData>
			</xsl:if>
		</DataArea>
	</xsl:template>
	<xsl:template match="node()/Device[parent::Subtracted | parent::Added]">
		<Row>
			<Data name="AddedRemoved" type="icon" align="center">
				<xsl:choose>
					<xsl:when test="@diffstatus='0'">
						<xsl:attribute name="value">/oldiags/images/ok.gif</xsl:attribute>
						<xsl:attribute name="alt"><xsl:value-of select="$strADDED"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="@diffstatus='1'">
						<xsl:attribute name="value">/oldiags/images/Critical.gif</xsl:attribute>
						<xsl:attribute name="alt"><xsl:value-of select="$strSUBTRACTED"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">/oma/images/blank.gif</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="Name">
				<xsl:attribute name="name">Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@name"/></xsl:attribute>
			</Data>
			<Data name="TimeStamp">
				<xsl:attribute name="value"><xsl:value-of select="../../@timestamp"/></xsl:attribute>
			</Data>
			<Data name="Location">
				<xsl:attribute name="value"><xsl:value-of select="@location"/></xsl:attribute>
			</Data>
			<Data name="Description">
				<xsl:attribute name="value"><xsl:value-of select="@description"/></xsl:attribute>
			</Data>
			<!--
			<Data name="Descriptor">
				<xsl:attribute name="value"><xsl:value-of select="@descriptor"/></xsl:attribute>
			</Data>
			<Data name="AdditionalHWInfo" align="center">
			<xsl:choose>
	            	<xsl:when test="@additionalhwinfo=''">
	                  	<xsl:attribute name="value"><xsl:value-of select="'-'"/></xsl:attribute>
                       </xsl:when>
                       <xsl:otherwise>
                            <xsl:attribute name="value"><xsl:value-of select="@additionalhwinfo"/></xsl:attribute>
                       </xsl:otherwise>  
                  </xsl:choose>			
			</Data>
			-->
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
	<!-- Template decides the order in which the fields will be sorted.-->
	<xsl:template name="DECIDE-ORDER">
		<xsl:param name="sortField"/>
		<xsl:param name="curField"/>
		<xsl:param name="sortOrder"/>
		<xsl:choose>
			<xsl:when test="$sortField = $curField">
				<xsl:choose>
					<xsl:when test="$sortOrder = 'ascending'">
						<xsl:value-of select="$curField"/>&amp;sortorder=descending</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Template decides the sort field currently selected -->
	<xsl:template name="SORTDECIDE">
		<xsl:param name="sortkey"/>
		<xsl:param name="sortorder"/>
		<xsl:choose>
			<xsl:when test="$sortkey != ''">
				<xsl:choose>
					<xsl:when test="$sortkey='timestamp'">
						<xsl:apply-templates select="//node()/Device">
							<xsl:sort order="{$sortorder}" select="../../@timemillis"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='status'">
						<xsl:apply-templates select="//node()/Device">
							<xsl:sort order="{$sortorder}" select="@diffstatus"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="//node()/Device">
							<xsl:sort order="{$sortorder}" select="attribute::*[local-name() = $sortkey]"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="//node()/Device">
					<xsl:sort order="descending" select="../../@timemillis"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="NoDifferenceAvailable">
		<TableData>
			<Row>
				<xsl:element name="Data">
					<xsl:attribute name="value"><xsl:value-of select="$strCONFIGINFOUNAVAILABLE"/></xsl:attribute>
				</xsl:element>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template name="DisplayPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strHWCONFIGCHGHIST"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
