<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<DataArea progressbar="true" exportdata="false">
			<xsl:choose>
				<xsl:when test="/OMA/Action='GETPROGRESSDATA'">
					<xsl:call-template name="UpdateProgress"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="email">false</xsl:attribute>
					<xsl:attribute name="printable">false</xsl:attribute>
					<xsl:attribute name="validate">false</xsl:attribute>
					<xsl:call-template name="DisplayPageTitle"/>
					<xsl:call-template name="ShowEnumerationProgress"/>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
	</xsl:template>
	<xsl:template name="ShowEnumerationProgress">
		<ProgressBar uidata="true" frequency="2000">
			<UIData>
				<Result>
				       <xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin&amp;ct=<xsl:value-of select="/OMA/Component"/>&amp;snb=<xsl:value-of select="/OMA/Snb"/>&amp;lsnb=DiagDiff</xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strVIEWRESULTS"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVIEWRESULTS"/></xsl:attribute>
				</Result>
				<Update>
					<xsl:attribute name="name">Update</xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticEnumerationWebPlugin&amp;ct=<xsl:value-of select="/OMA/Component"/>&amp;snb=<xsl:value-of select="/OMA/Snb"/>&amp;lsnb=Select&amp;action=getProgressData</xsl:attribute>
				</Update>
				<ProgressBarList>
					<UIBar>
						<xsl:attribute name="name">ProgressBar1</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strENUMERATIONTITLE"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strENUMERATIONTITLE"/></xsl:attribute>
					</UIBar>
				</ProgressBarList>
			</UIData>
		</ProgressBar>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template name="DisplayPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strENUMERATIONPAGETITLE"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<xsl:template name="UpdateProgress">
		<ProgressBar progressdata="true">
			<ProgressData>
				<xsl:variable name="percentcomplete" select="/OMA/DiagnosticEnumeration"/>
				<xsl:choose>
					<xsl:when test="/OMA/DiagnosticEnumeration/PercentComplete=100">
						<xsl:attribute name="iscomplete">true</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="iscomplete">false</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<DataBar>
					<xsl:attribute name="name">ProgressBar1</xsl:attribute>
					<xsl:attribute name="percentcomplete"><xsl:value-of select="/OMA/DiagnosticEnumeration/PercentComplete"/></xsl:attribute>
					<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
					<!--	c_Success = 2;	c_Failed = 0;	c_Aborted = 1-->
					<xsl:attribute name="execstatus">2</xsl:attribute>
					<xsl:choose>
						<xsl:when test="$percentcomplete=100">
							<xsl:attribute name="allpassesdone">true</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="allpassesdone">false</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="passnum">1</xsl:attribute>
					<xsl:attribute name="totalpasses">1</xsl:attribute>
					<xsl:attribute name="message"><xsl:value-of select="$strENUMCOMPLETE"/></xsl:attribute>
				</DataBar>
			</ProgressData>
		</ProgressBar>
	</xsl:template>
</xsl:stylesheet>
