<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="Component" select="/OMA/Component"/>
	<xsl:variable name="Snb" select="/OMA/Snb"/>
	<xsl:variable name="STATUSURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticStatusWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status</xsl:variable>
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<DataArea progressbar="true" exportdata="false">
			<xsl:attribute name="email">false</xsl:attribute>
			<xsl:attribute name="printable">false</xsl:attribute>
			<xsl:attribute name="validate">false</xsl:attribute>
			<xsl:variable name="requestid" select="/OMA/RequestId"/>
			<xsl:variable name="timestamp" select="/OMA/TimeStamp"/>
			<xsl:choose>
			<xsl:when test="DiagnosticStatus/Result/TestRequest[(@requestid = $requestid) and (@submittimeinsec = $timestamp)]">
				<xsl:for-each select="./DiagnosticStatus/Result">
				<xsl:choose>
					<xsl:when test="/OMA/Action = 'UpdateProgress'">
						<!-- Get Updated progress info. -->
						<xsl:call-template name="UpdateProgress"/>
					</xsl:when>
					<xsl:otherwise>
						<!-- This section is called during the initial loading of Progress Bar -->
						<xsl:attribute name="submitdisplay"><xsl:value-of select="$strBACKTOSTATUS"/></xsl:attribute>
						<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticStatusWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status</xsl:attribute>
						<xsl:call-template name="DisplayPageTitle"/>
						<xsl:call-template name="ShowProgressBars"/>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="NoResultAvailable"/>
			</xsl:otherwise>
			</xsl:choose>
		</DataArea>
	</xsl:template>

	<xsl:template name="NoResultAvailable">
		<xsl:attribute name="printable">false</xsl:attribute>
		<xsl:attribute name="expand">false</xsl:attribute>
		<xsl:attribute name="expandl">false</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:attribute name="submitdisplay"><xsl:value-of select="$strBACKTOSTATUS"/></xsl:attribute>
		<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticStatusWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status</xsl:attribute>
		
		<xsl:call-template name="DisplayPageTitle"/>
		<TableData>
			<Row>
				<xsl:element name="Data">
					<xsl:attribute name="value"><xsl:value-of select="$strNOTINMEMORY"/></xsl:attribute>
				</xsl:element>
			</Row>
		</TableData>
	</xsl:template>

	<xsl:template name="ShowProgressBars">
		<ProgressBar uidata="true" frequency="2000">
			<UIData>
				<!-- DFCT84528 -->
				<xsl:choose>
				<xsl:when test="((./TestRequest/Test/@capabilities = '2') and (./@iscomplete != 'true'))">
					<!-- Interrupt action for ABORT -->
					<InterruptAction>
					<!--For Fix DFCT112092 .Username has been removed--> 
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticProgressWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status&amp;Action=abortTests&amp;RequestId=<xsl:value-of select="./TestRequest/@requestid"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strABORT"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strABORT"/></xsl:attribute>
						<xsl:attribute name="action"><xsl:value-of select="'abort'"/></xsl:attribute>
					</InterruptAction>
					<!-- Interrupt action for SUSPEND -->
					<InterruptAction>
						<xsl:attribute name="display"><xsl:value-of select="$strSUSPEND"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strSUSPEND"/></xsl:attribute>
						<xsl:attribute name="action"><xsl:value-of select="'suspend'"/></xsl:attribute>
						<!--For Fix DFCT112092 .Username has been removed--> 
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticProgressWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status&amp;Action=suspendTests&amp;RequestId=<xsl:value-of select="./TestRequest/@requestid"/></xsl:attribute>
						<xsl:choose>
							<!--Hide suspend button when abort is clicked (@type = 6) or when suspend is clicked (@type = 1) -->
							<xsl:when test="(./@type='6') or (./@type='1')">
								<xsl:attribute name="hide"><xsl:value-of select="'true'"/></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="hide"><xsl:value-of select="'false'"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</InterruptAction>
					<!-- Interrupt action for RESUME -->
					<InterruptAction>
					<!--For Fix DFCT112092 .Username has been removed--> 
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticProgressWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status&amp;Action=resumeTests&amp;RequestId=<xsl:value-of select="./TestRequest/@requestid"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strRESUME"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strRESUME"/></xsl:attribute>
						<xsl:attribute name="action"><xsl:value-of select="'resume'"/></xsl:attribute>
						<xsl:choose>
							<!--Hide resume button when abort is clicked (@type = 6) or when suspend is NOT clicked (@type != 1) -->
							<xsl:when test="(./@type='6') or (./@type!='1')">
								<xsl:attribute name="hide"><xsl:value-of select="'true'"/></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="hide"><xsl:value-of select="'false'"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</InterruptAction>
				</xsl:when>
				<xsl:when test="(( (./TestRequest/DiagnosticSettings/@numpasses &gt; 1) or (./TestRequest/DiagnosticSettings/@runtime != -1) or (./TestRequest/Test/@capabilities = '1')) and (./@iscomplete != 'true'))">
					<!-- Interrupt action for ABORT -->
					<InterruptAction>
					<!--For Fix DFCT112092 .Username has been removed--> 
						<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticProgressWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status&amp;Action=abortTests&amp;RequestId=<xsl:value-of select="./TestRequest/@requestid"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strABORT"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strABORT"/></xsl:attribute>
						<xsl:attribute name="action"><xsl:value-of select="'abort'"/></xsl:attribute>
					</InterruptAction>
				</xsl:when>
				</xsl:choose>
				<Result>
					<xsl:variable name="TSPARAM" select="concat('&amp;TimeStamp=',./TestRequest/@submittimeinsec)"/>
					<xsl:variable name="REQUESTIDPARAM" select="concat('&amp;RequestId=',./TestRequest/@requestid)"/>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticHistoryWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=History<xsl:value-of select="$TSPARAM"/><xsl:value-of select="$REQUESTIDPARAM"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strVIEWRESULTS"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVIEWRESULTS"/></xsl:attribute>
				</Result>
				<Update>
					<xsl:variable name="BASEURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticProgressWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status</xsl:variable>
					<xsl:variable name="ACTIONPARAM">&amp;Action=UpdateProgress</xsl:variable>
					<xsl:variable name="REQUESTIDPARAM">&amp;RequestId=<xsl:value-of select="./TestRequest/@requestid"/>
					</xsl:variable>
					<xsl:variable name="JOBIDPARAM">&amp;JobId=<xsl:value-of select="./TestRequest/@jobid"/>
					</xsl:variable>
					<xsl:variable name="USERNAMEPARAM">&amp;UserName=<xsl:call-template name="replace-substring">
							<xsl:with-param name="text" select="./TestRequest/@username"/>
							<xsl:with-param name="from">\</xsl:with-param>
							<xsl:with-param name="to">\\</xsl:with-param>
						</xsl:call-template>
					</xsl:variable>
					<xsl:variable name="TSPARAM" select="concat('&amp;TimeStamp=',./TestRequest/@submittimeinsec)"/>
					<xsl:attribute name="href"><xsl:value-of select="concat($BASEURL, $ACTIONPARAM, $REQUESTIDPARAM,$JOBIDPARAM, $USERNAMEPARAM,$TSPARAM)"/></xsl:attribute>
				</Update>
				<ProgressBarList>
					<UIBar>
						<xsl:attribute name="name">ProgressBar1</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="./TestRequest/Device/@name"/><xsl:value-of select="$strHYPHEN"/><xsl:value-of select="./TestRequest/Test/@name"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@name"/><xsl:value-of select="$strHYPHEN"/><xsl:value-of select="./TestRequest/Test/@name"/></xsl:attribute>
					</UIBar>
				</ProgressBarList>
			</UIData>
		</ProgressBar>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template name="DisplayPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strDIAGPROG"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<xsl:template name="UpdateProgress">
		<ProgressBar progressdata="true">
			<ProgressData>
				<xsl:attribute name="iscomplete"><xsl:value-of select="./@iscomplete"/></xsl:attribute>
				<DataBar>
					<xsl:attribute name="name">ProgressBar1</xsl:attribute>
					<xsl:attribute name="percentcomplete"><xsl:value-of select="./@percentcomplete"/></xsl:attribute>
					<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5;PENDING = 6 -->
					<!--	c_Success = 2;	c_Failed = 0;	c_Aborted = 1;  c_Warning = 5-->
					<xsl:choose>
						<xsl:when test="@type='0'">
							<xsl:attribute name="execstatus">2</xsl:attribute>
						</xsl:when>
						<xsl:when test="@type='1'">
							<xsl:attribute name="execstatus">1</xsl:attribute>
						</xsl:when>
						<xsl:when test="@type='2'">
							<xsl:attribute name="execstatus">0</xsl:attribute>
						</xsl:when>
						<xsl:when test="@type='3'">
							<xsl:attribute name="execstatus">1</xsl:attribute>
						</xsl:when>
						<xsl:when test="@type='4'">
							<xsl:attribute name="execstatus">2</xsl:attribute>
						</xsl:when>
						<xsl:when test="@type='5'">
							<xsl:attribute name="execstatus">5</xsl:attribute>
						</xsl:when>
						<!-- DFCT83707 -->
						<xsl:when test="@type='6'">
							<xsl:attribute name="execstatus">2</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="execstatus">2</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="allpassesdone"><xsl:value-of select="./@iscomplete"/></xsl:attribute>
					<xsl:attribute name="passnum"><xsl:value-of select="@currentpass"/></xsl:attribute>
					<xsl:attribute name="totalpasses"><xsl:value-of select="@totalpasses"/></xsl:attribute>
					<xsl:if test="@totalpasses = 1">
							<xsl:attribute name="message"><xsl:value-of select="./ResultEvent/@eventstring"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="@totalpasses > 1 or @totalpasses = -1">
						<!-- DFCT82829 -->
						<xsl:attribute name="message">
						<xsl:choose>							
							<xsl:when test="Result/ResultEvent[@eventtype='2']">
								<xsl:for-each select="Result/ResultEvent[@eventtype='2']">
									<xsl:sort select="Result[@currentpass]" data-type="number"  order="descending"/>
										<xsl:if test="position() = 1">
											<xsl:value-of select="@eventstring"/>
										</xsl:if>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="Result/ResultEvent[@eventtype='1']">
								<xsl:for-each select="Result/ResultEvent[@eventtype='1']">
									<xsl:sort select="Result[@currentpass]" data-type="number"  order="descending"/>
										<xsl:if test="position() = 1">
											<xsl:value-of select="@eventstring"/>
										</xsl:if>
								</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="Result/ResultEvent[@eventtype='0']">
									<xsl:sort select="Result[@currentpass]" data-type="number"  order="descending"/>
										<xsl:if test="position() = 1">
											<xsl:value-of select="@eventstring"/>
										</xsl:if>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
						</xsl:attribute>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="./TestRequest/DiagnosticSettings/@runtime = -1">
							<xsl:attribute name="statusmsg"></xsl:attribute>
						</xsl:when>
						<xsl:when test="./TestRequest/DiagnosticSettings/@runtime != -1">
							<xsl:attribute name="statusmsg"><xsl:value-of select="$strPASS"/><xsl:text> </xsl:text><xsl:value-of select="@currentpass"/></xsl:attribute>
						</xsl:when>
					</xsl:choose>
				</DataBar>
			</ProgressData>
		</ProgressBar>
	</xsl:template>
	<xsl:template name="replace-substring">
		<xsl:param name="text"/>
		<xsl:param name="from"/>
		<xsl:param name="to"/>
		<xsl:variable name="backslash">
			<xsl:call-template name="_replace-substring">
				<xsl:with-param name="text">
					<xsl:value-of select="$text"/>
				</xsl:with-param>
				<xsl:with-param name="from">\</xsl:with-param>
				<xsl:with-param name="to">\\</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="singlequote">
			<xsl:call-template name="_replace-substring">
				<xsl:with-param name="text">
					<xsl:value-of select="$backslash"/>
				</xsl:with-param>
				<xsl:with-param name="from">'</xsl:with-param>
				<xsl:with-param name="to">\'</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="doublequote">
			<xsl:call-template name="_replace-substring">
				<xsl:with-param name="text">
					<xsl:value-of select="$singlequote"/>
				</xsl:with-param>
				<xsl:with-param name="from">"</xsl:with-param>
				<xsl:with-param name="to">\"</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:value-of select="$doublequote"/>
	</xsl:template>
	<xsl:template name="_replace-substring">
		<xsl:param name="text"/>
		<xsl:param name="from"/>
		<xsl:param name="to"/>
		<xsl:choose>
			<xsl:when test="contains($text, $from)">
				<xsl:value-of select="substring-before ($text, $from)"/>
				<!-- Changed for Xalan 2 migration -->
				<!-- <xsl:copy-of select="$to"/> -->
				<xsl:value-of select="$to"/>
				<xsl:call-template name="_replace-substring">
					<xsl:with-param name="text" select="substring-after($text, $from)"/>
					<xsl:with-param name="from" select="$from"/>
					<xsl:with-param name="to" select="$to"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<!-- Changed for Xalan 2 migration -->
				<!-- <xsl:copy-of select="$text"/> -->
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
