<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="Component" select="/OMA/Component"/>
	<xsl:variable name="Snb" select="/OMA/Snb"/>
	<xsl:variable name="BASEURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticHistoryWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=History</xsl:variable>
	<xsl:variable name="TASKSURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticHistoryWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagScheduledTask</xsl:variable>
	<xsl:variable name="showtask">
		<xsl:value-of select="/OMA/TaskName"/>
	</xsl:variable>
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<DataArea>
			<xsl:if test="/OMA/TimeStamp">
				<xsl:call-template name="ShowDetailResult"/>
			</xsl:if>
			<xsl:if test="not(/OMA/TimeStamp)">
				<xsl:call-template name="ShowAllResults"/>
			</xsl:if>
		</DataArea>
	</xsl:template>
	<xsl:template name="ShowAllResults">
		<xsl:choose>
			<xsl:when test="$showtask">
				<xsl:if test="count(DiagnosticResults/Session/Result[@taskname=$showtask])=0">
					<xsl:attribute name="exportdata">false</xsl:attribute>
					<xsl:attribute name="printable">false</xsl:attribute>
					<xsl:attribute name="expand">false</xsl:attribute>
					<xsl:attribute name="expandl">false</xsl:attribute>
					<xsl:attribute name="email">false</xsl:attribute>
					<xsl:call-template name="DisplayPageTitle">
						<xsl:with-param name="titlestring">
							<xsl:value-of select="$strSCHEDULEDTASK"/>
						</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="NoDiagnosticResults"/>
				</xsl:if>			
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="count(DiagnosticResults/Session/Result)=0">
					<xsl:attribute name="exportdata">false</xsl:attribute>
					<xsl:attribute name="printable">false</xsl:attribute>
					<xsl:attribute name="expand">false</xsl:attribute>
					<xsl:attribute name="expandl">false</xsl:attribute>
					<xsl:attribute name="email">false</xsl:attribute>
					<xsl:call-template name="DisplayPageTitle">
						<xsl:with-param name="titlestring">
							<xsl:value-of select="$strDIAGRESHIST"/>
						</xsl:with-param>
					</xsl:call-template>
					<xsl:call-template name="NoDiagnosticResults"/>
				</xsl:if>				
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="$showtask">
				<xsl:if test="not(count(DiagnosticResults/Session/Result[@taskname=$showtask])=0)">
					<PromptText>
						<xsl:value-of select="$strPROMPTTASKRESULT"/>
						<!--
						<xsl:value-of select="' - '"/>
						<xsl:value-of select="$showtask"/> -->
					</PromptText>
					<xsl:call-template name="ShowResultList">
						<xsl:with-param name="TaskFilter">true</xsl:with-param>
					</xsl:call-template>
				</xsl:if>								
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="not(count(DiagnosticResults/Session/Result)=0)">
					<xsl:call-template name="ShowResultList">
						<xsl:with-param name="TaskFilter">false</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Template for result list.-->
	<xsl:template name="ShowResultList">
		<xsl:param name="TaskFilter"/>
		<xsl:variable name="srtfld">
			<xsl:value-of select="/OMA/SortField"/>
		</xsl:variable>
		<xsl:variable name="srtorder">
			<xsl:value-of select="/OMA/SortOrder"/>
		</xsl:variable>
		<xsl:variable name="MODBASEURL">
			<xsl:if test="$TaskFilter='true'">
				<xsl:value-of select="$BASEURL"/>&amp;TaskName=<xsl:value-of select="$showtask"/>
			</xsl:if>
			<xsl:if test="not($TaskFilter='true')">
				<xsl:value-of select="$BASEURL"/>
			</xsl:if>
		</xsl:variable>
		<xsl:if test="$TaskFilter='true'">
			<xsl:call-template name="DisplayPageTitle">
				<xsl:with-param name="titlestring">
					<xsl:value-of select="$strSCHEDULEDTASK"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="not($TaskFilter='true')">
			<xsl:call-template name="DisplayPageTitle">
				<xsl:with-param name="titlestring">
					<xsl:value-of select="$strDIAGRESHIST"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<script language="javascript">
				function clearLog() {
					document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticHistoryWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=History';
					document.dataarea.submit();
				}
				
				function viewDetails(submittimeinsec, requestid) {
					var tsparam = "&amp;TimeStamp=" + submittimeinsec;
					var requestidparam = "&amp;RequestId=" + requestid;

					document.dataarea.action="<xsl:value-of select="$MODBASEURL"/>" + tsparam + requestidparam ;
					document.dataarea.submit() ;
				}
				
			</script>
		<CustomButton>
			<Data name="Clear">
				<xsl:attribute name="display"><xsl:value-of select="$strCLEAR"/></xsl:attribute>
				<xsl:attribute name="href">javascript:clearLog()</xsl:attribute>
				<xsl:attribute name="formSubmit">true</xsl:attribute>
			</Data>
			<Data name="Refresh">
				<xsl:attribute name="display"><xsl:value-of select="$strREFRESH"/></xsl:attribute>
				<xsl:attribute name="href"><xsl:value-of select="$MODBASEURL"/></xsl:attribute>
			</Data>
		</CustomButton>
		<TableData columnspacing="true" nouniqueids="true">
			<Header>
				<Data name="Type" width="20" link="true">
					<xsl:attribute name="href"><xsl:value-of select="$MODBASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">type</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strSTATUS"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strSTATUS"/></xsl:attribute>
				</Data>

				<Data name="Blank" link="false">
					<xsl:attribute name="display"><xsl:value-of select="$strSUBMITEDFROM"/></xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
				</Data>

				<Data name="Name" link="true">
					<xsl:attribute name="href"><xsl:value-of select="$MODBASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">devicename</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
				</Data>
				<Data name="Name" link="true">
					<xsl:attribute name="href"><xsl:value-of select="$MODBASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">testname</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
				</Data>
				<Data name="TimeStamp" link="true">
					<xsl:attribute name="href"><xsl:value-of select="$MODBASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">timestamp</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strTIMEOFSUBMISSION"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strTIMEOFSUBMISSION"/></xsl:attribute>
				</Data>
				<Data name="Locator" link="true">
					<xsl:attribute name="href"><xsl:value-of select="$MODBASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">oslocator</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
				</Data>
				<Data name="Description1" link="true">
					<xsl:attribute name="href"><xsl:value-of select="$MODBASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">description</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strDESCRIPTION"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strDESCRIPTION"/></xsl:attribute>
				</Data>
				<Data name="TotalNoPasses" link="false">
					<xsl:attribute name="display"><xsl:value-of select="$strTOTALPASSES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strTOTALPASSES"/></xsl:attribute>
				</Data>
				<Data name="CurrentPass" link="false" width="20">
					<xsl:attribute name="display"><xsl:value-of select="$strCOMPLETEDPASSES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strCOMPLETEDPASSES"/></xsl:attribute>
				</Data>
				<Data name="RunTime" link="false" width="20">
					<xsl:attribute name="display"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
				</Data>
				<Data name="Details" link="false" width="10">
					<xsl:attribute name="display"><xsl:value-of select="$strDETAILS"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strDETAILS"/></xsl:attribute>
				</Data>
			</Header>
			<!-- Determine what field the Data needs to be sorted. A Default field will also be specified in this template -->
			<xsl:if test="$TaskFilter='true'">
				<xsl:call-template name="SORTDECIDEBYTASK">
					<xsl:with-param name="sortkey">
						<xsl:value-of select="$srtfld"/>
					</xsl:with-param>
					<xsl:with-param name="sortorder">
						<xsl:choose>
							<xsl:when test="$srtorder != ''">
								<xsl:value-of select="$srtorder"/>
							</xsl:when>
						</xsl:choose>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$TaskFilter='false'">
				<xsl:call-template name="SORTDECIDE">
					<xsl:with-param name="sortkey">
						<xsl:value-of select="$srtfld"/>
					</xsl:with-param>
					<xsl:with-param name="sortorder">
						<xsl:choose>
							<xsl:when test="$srtorder != ''">
								<xsl:value-of select="$srtorder"/>
							</xsl:when>
						</xsl:choose>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
		</TableData>
	</xsl:template>
	<!-- Template decides the order in which the fields will be sorted.-->
	<xsl:template name="DECIDE-ORDER">
		<xsl:param name="sortField"/>
		<xsl:param name="curField"/>
		<xsl:param name="sortOrder"/>
		<xsl:choose>
			<xsl:when test="$sortField = $curField">
				<xsl:choose>
					<xsl:when test="$sortOrder = 'ascending'">
						<xsl:value-of select="$curField"/>&amp;sortorder=descending</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Template decides the sort field currently selected filtered by task-->
	<xsl:template name="SORTDECIDEBYTASK">
		<xsl:param name="sortkey"/>
		<xsl:param name="sortorder"/>
		<xsl:choose>
			<xsl:when test="$sortkey != ''">
				<!-- Sort key entry has to match the one passed in through the URL -->
				<xsl:choose>
					<xsl:when test="$sortkey='type'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
							<xsl:sort order="{$sortorder}" select="@type"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='devicename'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Device/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='testname'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Test/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='oslocator'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Device/@location"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='description'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Device/@description"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='timestamp'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
							<xsl:sort order="{$sortorder}" select="./TestRequest/@submittimeinsec" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
							<xsl:sort order="{$sortorder}" select="attribute::*[local-name() = $sortkey]"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="DiagnosticResults/Session/Result[@taskname=$showtask]">
					<xsl:sort order="descending" select="./TestRequest/@submittimeinsec" data-type="number"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Template decides the sort field currently selected -->
	<xsl:template name="SORTDECIDE">
		<xsl:param name="sortkey"/>
		<xsl:param name="sortorder"/>
		<xsl:choose>
			<xsl:when test="$sortkey != ''">
				<!-- Sort key entry has to match the one passed in through the URL -->
				<xsl:choose>
					<xsl:when test="$sortkey='type'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result">
							<xsl:sort order="{$sortorder}" select="@type"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='devicename'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Device/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='testname'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Test/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='oslocator'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Device/@location"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='description'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Device/@description"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='timestamp'">
						<xsl:apply-templates select="DiagnosticResults/Session/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/@submittimeinsec" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="DiagnosticResults/Session/Result">
							<xsl:sort order="{$sortorder}" select="attribute::*[local-name() = $sortkey]"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="DiagnosticResults/Session/Result">
					<xsl:sort order="descending" select="./TestRequest/@submittimeinsec" data-type="number"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Data tempalate -->
	<xsl:template match="DiagnosticResults/Session/Result">
		<Row>
			<Data align="center">
				<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
				<!-- MNF 0 = Unknown; 1 = Unknown ; 2 = OK ;  3 = Non-Critical ; 4 = Critical ; 5 =  Non-Recoverable ; 6 = Aborted; 7 = Progress; 8 = Suspend; 9 = Resume; 10 = Pending -->
				<xsl:attribute name="name">Sevstatus</xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
				<xsl:choose>
					<!-- THIS IS REDUNDANT. IN_PROGRESS RESULT SHOULD NEVER BE LOGGED TO LOG FILE -->
					<xsl:when test="contains(@type, '0')">
						<xsl:attribute name="value">7</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '1')">
						<xsl:attribute name="value">8</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '2')">
						<xsl:attribute name="value">4</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '3')">
						<xsl:attribute name="value">6</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '4')">
						<xsl:attribute name="value">2</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '5')">
						<xsl:attribute name="value">3</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="testtypeicon" type="icon" align="left">
				<xsl:attribute name="name">TESTTYPE</xsl:attribute>
				<xsl:choose>
					<xsl:when test="@scheduled='true'">
						<xsl:attribute name="value">/oldiags/images/sched.gif</xsl:attribute>
		                           <xsl:attribute name="alt"><xsl:value-of select="$strSCHEDULER"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="@clitest='true'">
						<xsl:attribute name="value">/oldiags/images/cli.gif</xsl:attribute>
		                           <xsl:attribute name="alt"><xsl:value-of select="$strCLI"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">/oma/images/blank.gif</xsl:attribute>
		                           <xsl:attribute name="alt"></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data>
				<xsl:attribute name="name">Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Test/@name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">TimeStamp</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/@submissiontime"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">OSLocator</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@location"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">Description1</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@description"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="name">Totalpasses</xsl:attribute>
				<xsl:choose>
					<xsl:when test="./TestRequest/DiagnosticSettings/@runtime = -1">
						<xsl:attribute name="value"><xsl:value-of select="@totalpasses"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="Noofpasses">
				<xsl:attribute name="value"><xsl:value-of select="@currentpass"/></xsl:attribute>
			</Data>
			<Data name="Runtime">
				<xsl:choose>
					<xsl:when test="./TestRequest/DiagnosticSettings/@runtime = -1">
						<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="./TestRequest/DiagnosticSettings/@runtime"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="ViewDetails" link="true">
				<xsl:attribute name="value"><xsl:value-of select="$strVIEW"/></xsl:attribute>
				<xsl:attribute name="href">javascript:viewDetails('<xsl:value-of select="./TestRequest/@submittimeinsec"/>','<xsl:value-of select="./TestRequest/@requestid"/>');</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<!-- ########################################################################## -->
	<xsl:template name="ShowDetailResult">
		<xsl:choose>
			<xsl:when test="count(DiagnosticResults/Session/Result)=0">
				<xsl:attribute name="exportdata">false</xsl:attribute>
				<xsl:attribute name="printable">false</xsl:attribute>
				<xsl:attribute name="expand">false</xsl:attribute>
				<xsl:attribute name="expandl">false</xsl:attribute>
				<xsl:attribute name="email">false</xsl:attribute>
				<xsl:call-template name="DisplayPageTitle">
					<xsl:with-param name="titlestring">
							<xsl:value-of select="$strDIAGRESHIST"/>
					</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="NoDiagnosticResults"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="printable">true</xsl:attribute>
				<!-- To make the print work in ResultHistory ->View -->
				<xsl:attribute name="expand">false</xsl:attribute>
				<xsl:attribute name="expandl">false</xsl:attribute>
				<!--End of changes-->
				<xsl:attribute name="email">true</xsl:attribute>
				<xsl:attribute name="submitdisplay"><xsl:value-of select="$strBACKTORESULT"/></xsl:attribute>
				<xsl:choose>
					<xsl:when test="$showtask">
						<xsl:attribute name="submit"><xsl:value-of select="$TASKSURL"/>&amp;TaskName=<xsl:value-of select="$showtask"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="submit"><xsl:value-of select="$BASEURL"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<CustomButton>
					<Data name="BackButton">
						<xsl:attribute name="display"><xsl:value-of select="$strBACKTORESULT"/></xsl:attribute>
						<xsl:choose>
						<xsl:when test="$showtask">
							<xsl:attribute name="href"><xsl:value-of select="$TASKSURL"/>&amp;TaskName=<xsl:value-of select="$showtask"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/></xsl:attribute>
						</xsl:otherwise>
						</xsl:choose>
					</Data>
				</CustomButton>
				<xsl:call-template name="DisplayDetailPageTitle"/>
				<xsl:variable name="submittimeinsec" select="/OMA/TimeStamp"/>
				<xsl:variable name="requestid" select="/OMA/RequestId"/>
				<xsl:variable name="resultPresent" select="count(/OMA/DiagnosticResults/Session/Result[(./TestRequest/@submittimeinsec = $submittimeinsec) and (./TestRequest/@requestid = $requestid)])"/>
				<xsl:choose>
					<xsl:when test="$resultPresent &gt; 0">
						<xsl:for-each select="/OMA/DiagnosticResults/Session/Result">
							<xsl:if test="(./TestRequest/@submittimeinsec = $submittimeinsec) and (./TestRequest/@requestid = $requestid)">
								<xsl:call-template name="ShowResult"/>
							</xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<TableData>
							<Row>
								<xsl:element name="Data">
									<xsl:attribute name="value"><xsl:value-of select="$strNORESULT"/></xsl:attribute>
								</xsl:element>
							</Row>
						</TableData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- ########################################################################## -->
	<xsl:template name="NoDiagnosticResults">
		<TableData>
			<Row>
				<xsl:element name="Data">
					<xsl:attribute name="value"><xsl:value-of select="$strNORESULT"/></xsl:attribute>
				</xsl:element>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template name="DisplayPageTitle">
		<xsl:param name="titlestring"/>
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$titlestring"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<xsl:template name="ShowResult">
		<xsl:variable name="AttrNameColSpan">15</xsl:variable>
		<xsl:variable name="AttrValueColSpan">25</xsl:variable>
		<xsl:if test="$showtask">
			<TableData name="SchedulingInfo">
				<xsl:attribute name="display"><xsl:value-of select="$strSCHEDULINGDETAILS"/></xsl:attribute>
				<SubHeader>
					<xsl:attribute name="display"><xsl:value-of select="$strSCHEDULINGDETAILS"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strSCHEDULINGDETAILS"/></xsl:attribute>
				</SubHeader>
				<Header>
					<Data align="left">
						<xsl:attribute name="display"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
					</Data>
					<Data align="left">
						<xsl:attribute name="display"><xsl:value-of select="$strVALUE"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strVALUE"/></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strTASKNAME"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="./@taskname"/></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strTASKDESC"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="./@taskdesc"/></xsl:attribute>
					</Data>
				</Row>
			</TableData>
		</xsl:if>
		<TableData name="TestRequestInfo">
			<xsl:attribute name="display"><xsl:value-of select="$strREQUESTDETAILS"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strREQUESTDETAILS"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strREQUESTDETAILS"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="display"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><xsl:value-of select="$strVALUE"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVALUE"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strREQUESTID"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/@requestid"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strTIMEOFSUBMISSION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/@submissiontime"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strSUBMITBY"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/@username"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strPASSESREQUESTED"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:choose>
						<xsl:when test="./TestRequest/DiagnosticSettings/@numpasses = -1">
							<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><xsl:value-of select="./TestRequest/DiagnosticSettings/@numpasses"/></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strPASSESCOMPLETED"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./@currentpass"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strQUICKTESTMODE"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:if test="./TestRequest/DiagnosticSettings/@quicktest='true'">
						<xsl:attribute name="value"><xsl:value-of select="$strYES"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./TestRequest/DiagnosticSettings/@quicktest='false'">
						<xsl:attribute name="value"><xsl:value-of select="$strNO"/></xsl:attribute>
					</xsl:if>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strHALTONERROR"/></xsl:attribute>
				</Data>
				<Data>
					<!--DFCT84408-->
					<xsl:if test="./TestRequest/DiagnosticSettings/@haltonerror='true'">
						<xsl:attribute name="value"><xsl:value-of select="$strYES"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./TestRequest/DiagnosticSettings/@haltonerror='false'">
						<xsl:attribute name="value"><xsl:value-of select="$strNO"/></xsl:attribute>
					</xsl:if>
				</Data>
			</Row>
			<!--CHNG86204-->
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strHALTONMULTIPASSERROR"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:choose>
						<xsl:when test="((./TestRequest/DiagnosticSettings/@numpasses &gt; 1) or (./TestRequest/DiagnosticSettings/@runtime != -1))">
							<xsl:if test="./TestRequest/DiagnosticSettings/@haltonmultipasserror='true'">
								<xsl:attribute name="value"><xsl:value-of select="$strYES"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="./TestRequest/DiagnosticSettings/@haltonmultipasserror='false'">
								<xsl:attribute name="value"><xsl:value-of select="$strNO"/></xsl:attribute>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strRUNTIMEREQUESTED"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:choose>
						<xsl:when test="./TestRequest/DiagnosticSettings/@runtime = -1">
							<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><xsl:value-of select="./TestRequest/DiagnosticSettings/@runtime"/></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
			</Row>
		</TableData>
		<TableData name="ResultEvent" columnspacing="true">
			<xsl:attribute name="display"><xsl:value-of select="$strRESULTEVENT"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strRESULTEVENT"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strRESULTEVENT"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="value"><xsl:value-of select="$strPASS"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strPASS"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="value"><xsl:value-of select="$strEVENTCODE"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strEVENTCODE"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="value"><xsl:value-of select="$strEVENTTYPE"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strEVENTTYPE"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="value"><xsl:value-of select="$strEVENTMESSAGE"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strEVENTMESSAGE"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="value"><xsl:value-of select="$strRESULT"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strRESULT"/></xsl:attribute>
				</Data>
			</Header>
			<!-- Single Pass -->
			<xsl:if test="./TestRequest/DiagnosticSettings/@numpasses = 1">
				<xsl:call-template name="ShowResultEvents"/>
			</xsl:if>
			<!-- Multi Pass -->
			<xsl:if test="((./TestRequest/DiagnosticSettings/@numpasses &gt; 1) or (./TestRequest/DiagnosticSettings/@runtime != -1))">
				<xsl:for-each select="./Result">
					<xsl:call-template name="ShowResultEvents"/>
				</xsl:for-each>
			</xsl:if>
		</TableData>
		<TableData name="DeviceInformation">
			<xsl:attribute name="display"><xsl:value-of select="$strDEVICEINFO"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strDEVICEINFO"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="display"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><xsl:value-of select="$strVALUE"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVALUE"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@name"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strDESCRIPTION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@description"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@location"/></xsl:attribute>
				</Data>
			</Row>
			<!-- Commented to fix CHNG92055 -->
			<!--
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strDESCRIPTOR"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@descriptor"/></xsl:attribute>
				</Data>
			</Row>
			-->
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strADDHWINFO"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@additionalhwinfo"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strMANUFACTURER"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/FRUInfo/@manufacturerName"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strFIRMWAREREV"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/FRUInfo/@firmwareRevision"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strSERIALNUM"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/FRUInfo/@serialNumber"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strMODELNUM"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/FRUInfo/@modelNumber"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strASSETTAG"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/FRUInfo/@assetTag"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strSKUNUM"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/FRUInfo/@skuNumber"/></xsl:attribute>
				</Data>
			</Row>
		</TableData>
		<TableData name="TestInformation" width="100%">
			<xsl:attribute name="display"><xsl:value-of select="$strTESTINFO"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strTESTINFO"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left" width="20%">
					<xsl:attribute name="display"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
				</Data>
				<Data align="left" width="80%">
					<xsl:attribute name="display"><xsl:value-of select="$strVALUE"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVALUE"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Test/@name"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strTESTDESCRIPTION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Test/@description"/></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	
	<!-- SHOW THE RESULT EVENTS ALONG WITH PASSCOUNT AND STATUS-->
	<xsl:template name="ShowResultEvents">
		<Row>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="@currentpass"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="./ResultEvent[1]/@eventcode"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="./ResultEvent[1]/@eventtype"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="./ResultEvent[1]/@eventstring"/></xsl:attribute>
			</Data>
			<Data>
				<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
				<!-- MNF 0 = Unknown; 1 = Unknown ; 2 = OK ;  3 = Non-Critical ; 4 = Critical ; 5 =  Non-Recoverable ; 6 = Aborted; 7 = Progress; 8 = Suspend; 9 = Resume; 10 = Pending -->
				<xsl:attribute name="name">Sevstatus</xsl:attribute>
				<xsl:attribute name="type">status</xsl:attribute>
				<xsl:choose>
					<xsl:when test="contains(@type, '0')">
						<xsl:attribute name="value">7</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '1')">
						<xsl:attribute name="value">8</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '2')">
						<xsl:attribute name="value">4</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '3')">
						<xsl:attribute name="value">6</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '4')">
						<xsl:attribute name="value">2</xsl:attribute>
					</xsl:when>
					<xsl:when test="contains(@type, '5')">
						<xsl:attribute name="value">3</xsl:attribute>
					</xsl:when>
				</xsl:choose>
			</Data>
		</Row>
		<xsl:for-each select="./ResultEvent[position() &gt; 1]">
			<Row>
				<Data value=""/>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./@eventcode"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./@eventtype"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./@eventstring"/></xsl:attribute>
				</Data>
				<Data value=""/>
			</Row>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="DisplayDetailPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strDIAGRESHISTDETAILS"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>