<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="Component" select="/OMA/Component"/>
	<xsl:variable name="Snb" select="/OMA/Snb"/>
	<xsl:variable name="BASEURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticReviewWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/></xsl:variable>
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<xsl:variable name="displayView" select="/OMA/Action"/>
		<xsl:variable name="enumProgress" select="/OMA/EnumerationInProgress"/>
		<!--To Fix DFCT118115-->
		<DataArea>
			<xsl:choose>
				<xsl:when test="$enumProgress = 'true'">
					<xsl:call-template name="enumMessage"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$displayView = 'RUNSELECTEDTESTS'">
							<xsl:call-template name="DisplayTestRequestInfo"/>
						</xsl:when>
						<xsl:when test="$displayView = 'VIEWTESTDETAILS'">
							<xsl:attribute name="validate">false</xsl:attribute>
							<xsl:call-template name="ViewTestDetails"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="validate">false</xsl:attribute>
							<xsl:call-template name="ShowSelectedDeviceTestInfo"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
	</xsl:template>
	<xsl:template name="enumMessage">
		<xsl:attribute name="exportdata">false</xsl:attribute>
		<xsl:attribute name="printable">false</xsl:attribute>
		<xsl:attribute name="expand">false</xsl:attribute>
		<xsl:attribute name="expandl">false</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:call-template name="DisplayPageTitle"/>
		<TableData>
			<Row>
				<xsl:element name="Data">
					<xsl:attribute name="value"><xsl:value-of select="$strENUMMESSAGE"/></xsl:attribute>
				</xsl:element>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template name="ShowSelectedDeviceTestInfo">
		<xsl:if test="count(DeviceTestPair) = 0">
  			<!--To Fix DFCT118115-->
			<xsl:attribute name="exportdata">false</xsl:attribute>
			
			<xsl:attribute name="printable">false</xsl:attribute>
			<xsl:attribute name="expand">false</xsl:attribute>
			<xsl:attribute name="expandl">false</xsl:attribute>
			<xsl:attribute name="email">false</xsl:attribute>
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strSELECTTESTS"/></xsl:attribute>
			<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticSelectionWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Select</xsl:attribute>
			<xsl:call-template name="DisplayPageTitle"/>
			<xsl:call-template name="NoTestsSelected"/>
		</xsl:if>
		<xsl:if test="count(DeviceTestPair) != 0">
			<!--To Fix DFCT118115-->
			<xsl:attribute name="exportdata">false</xsl:attribute>
			
			<xsl:attribute name="printable">false</xsl:attribute>
			<xsl:attribute name="email">true</xsl:attribute>
			<xsl:variable name="srtfld" select="/OMA/SortField"/>
			<xsl:variable name="srtorder" select="/OMA/SortOrder"/>
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strSELECTMORETESTS"/></xsl:attribute>
			<xsl:attribute name="submit">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticSelectionWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Select</xsl:attribute>
			<xsl:call-template name="DisplayPageTitle"/>
			<xsl:call-template name="IncludeJavascriptCode"/>
			<PromptText>
				<xsl:value-of select="$strPROMPTTEXT"/>
			</PromptText>
			<CustomButton>
				<Data name="Execute">
					<xsl:attribute name="display"><xsl:value-of select="$strEXECUTETESTS"/></xsl:attribute>
					<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;lsnb=Review&amp;action=RunSelectedTests</xsl:attribute>
				</Data>
				<Data name="Schedule">
					<xsl:attribute name="display"><xsl:value-of select="$strSCHEDULE"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strSCHEDULE"/></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticScheduleWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Review</xsl:attribute>
				</Data>
				<Data name="Clear">
					<xsl:attribute name="display"><xsl:value-of select="$strCLEARALL"/></xsl:attribute>
					<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;lsnb=Review&amp;action=ClearSelectedTests</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><xsl:value-of select="$strREFRESH"/></xsl:attribute>
					<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;lsnb=Review</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData columnspacing="true">
				<Header>
					<Data value=" " display=" "/>
					<Data name="DeviceName" align="center" link="true">
						<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;lsnb=Review&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">devicename</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
					</Data>
					<Data name="TestName" align="center" link="true">
						<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;lsnb=Review&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">testname</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
					</Data>
					<Data name="Current" link="false" colspan="7" align="center" underlined="false">
						<xsl:attribute name="value"><xsl:value-of select="$strCURRENTSETTINGS"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strCURRENTSETTINGS"/></xsl:attribute>
					</Data>
					<Data name="ChangeSettings" link="false" align="center">
						<xsl:attribute name="value"><xsl:value-of select="$strSETTINGS"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strSETTINGS"/></xsl:attribute>
					</Data>
					<Data name="Locator" link="false" align="center">
						<xsl:attribute name="value"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
					</Data>
					<Data name="Details" link="false" align="center">
						<xsl:attribute name="value"><xsl:value-of select="$strDETAILS"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strDETAILS"/></xsl:attribute>
					</Data>
				</Header>
				<Header>
					<Data name="Dummy" value=" " display=" "/>
					<Data name="Dummy" value=" " display=" "/>
					<Data name="Dummy" value=" " display=" "/>
					<Data name="QuickTest" link="false" align="center">
						<xsl:attribute name="value"><xsl:value-of select="$strQUICKTEST"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strQUICKTEST"/></xsl:attribute>
					</Data>
					<Data name="HaltOnError" link="false" align="center">
						<xsl:attribute name="value"><xsl:value-of select="$strHALTERROR"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strHALTERROR"/></xsl:attribute>
					</Data>
					<Data name="Passes" link="false" align="center">
						<xsl:attribute name="value"><xsl:value-of select="$strNOSPASSES"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strNOSPASSES"/></xsl:attribute>
					</Data>
					<Data name="RunTime" link="false" align="center">
						<xsl:attribute name="value"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
					</Data>
					<Data name="Dummy" value=" " display=" "/>
					<Data name="Dummy" value=" " display=" "/>
					<Data name="Dummy" value=" " display=" "/>
				</Header>
				<xsl:call-template name="SORTDECIDE">
					<xsl:with-param name="sortkey">
						<xsl:value-of select="$srtfld"/>
					</xsl:with-param>
					<xsl:with-param name="sortorder">
						<xsl:choose>
							<xsl:when test="$srtorder != ''">
								<xsl:value-of select="$srtorder"/>
							</xsl:when>
						</xsl:choose>
					</xsl:with-param>
				</xsl:call-template>
			</TableData>
		</xsl:if>
	</xsl:template>
	<xsl:template match="DeviceTestPair">
		<Row>
			<Data type="icon" align="center" value="/oldiags/images/deletediag.gif" link="true">
                           <xsl:attribute name="alt"><xsl:value-of select="$strDESELECT"/></xsl:attribute>
				<xsl:attribute name="href">javascript:deselectTest(this, '<xsl:value-of select="@CurrentSelectionIndex"/>');</xsl:attribute>
				<xsl:attribute name="returnvalue"><xsl:value-of select="@name"/></xsl:attribute>
			</Data>
			<Data name="DeviceName">
				<xsl:attribute name="value"><xsl:value-of select="./Device/@name"/></xsl:attribute>
			</Data>
			<Data name="TestName">
				<xsl:attribute name="value"><xsl:value-of select="./Test/@name"/></xsl:attribute>
			</Data>
			<Data name="SevStatus" type="status" align="center">
				<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
				<!-- 0 = Unknown; 1 = Unknown ; 2 = OK ;  3 = Non-Critical ; 4 = Critical ; 5 =  Non-Recoverable ; 6 = Aborted -->
				<xsl:choose>
					<xsl:when test="./DiagnosticSettings/@quicktest = 'true'">
						<xsl:attribute name="value">2</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="SevStatus" type="status" align="center">
				<xsl:choose>
					<xsl:when test="./DiagnosticSettings/@haltonerror = 'true'">
						<xsl:attribute name="value">2</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="Passes" link="false" align="center">
				<xsl:if test="./DiagnosticSettings/@numpasses = -1">
					<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="./DiagnosticSettings/@numpasses != -1 ">
					<xsl:attribute name="value"><xsl:value-of select="./DiagnosticSettings/@numpasses"/></xsl:attribute>
				</xsl:if>
			</Data>
			<Data name="RunTime" link="false" align="center">
				<xsl:if test="./DiagnosticSettings/@runtime = -1">
					<xsl:attribute name="value">-</xsl:attribute>
				</xsl:if>
				<xsl:if test="./DiagnosticSettings/@runtime != -1 ">
					<xsl:attribute name="value"><xsl:value-of select="./DiagnosticSettings/@runtime"/><xsl:value-of select="$strMINUTE"/></xsl:attribute>
				</xsl:if>
			</Data>
			<Data name="preview" link="true">
				<xsl:attribute name="value"><xsl:value-of select="$strCHANGE"/></xsl:attribute>
				<xsl:attribute name="href">javascript:changeTestSettings("<xsl:value-of select="@CurrentSelectionIndex"/>","<xsl:value-of select="./DiagnosticSettings/@numpasses"/>","<xsl:value-of select="./DiagnosticSettings/@quicktest"/>","<xsl:value-of select="./DiagnosticSettings/@haltonerror"/>","<xsl:value-of select="./DiagnosticSettings/@runtime"/>","<xsl:value-of select="./DiagnosticSettings/@haltonmultipasserror"/>"); </xsl:attribute>
				<xsl:attribute name="returnvalue"><xsl:value-of select="@name"/></xsl:attribute>
			</Data>
			<Data name="DeviceLocation">
				<xsl:attribute name="value"><xsl:value-of select="./Device/@location"/></xsl:attribute>
			</Data>
			<Data name="ViewDetails" link="true">
				<xsl:attribute name="value"><xsl:value-of select="$strVIEW"/></xsl:attribute>
				<xsl:attribute name="href">javascript:viewDetails('<xsl:value-of select="./@CurrentSelectionIndex"/>');</xsl:attribute>
			</Data>
		</Row>
		<xsl:if test="(./Test/@hasalert = 'true') and (/OMA/ShowTestAlert = 'true')">
			<Row>
				<Data value="" display=""/>
				<Data name="SevStatus" type="status" align="center" value="3"/>
				<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
				<!-- 0 = Unknown; 1 = Unknown ; 2 = OK ;  3 = Non-Critical ; 4 = Critical ; 5 =  Non-Recoverable ; 6 = Aborted -->
				<Data name="alerttext">
					<xsl:attribute name="value"><xsl:value-of select="./Test/@alerttext"/></xsl:attribute>
					<xsl:attribute name="colspan">15</xsl:attribute>
				</Data>
			</Row>
		</xsl:if>
	</xsl:template>
	<!-- Display Page Title -->
	<xsl:template name="DisplayPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strSELECTIONREVIEW"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<!-- Called when there are no tests to be displayed -->
	<xsl:template name="NoTestsSelected">
		<TableData>
			<Row>
				<xsl:element name="Data">
					<xsl:attribute name="value"><xsl:value-of select="$strNOTESTSSELECTED"/></xsl:attribute>
				</xsl:element>
			</Row>
		</TableData>
	</xsl:template>
	<!-- ################################################################################################### -->
	<!-- ################################################################################################### -->
	<xsl:template name="DisplayTestRequestInfo">
		<!--To Fix DFCT118115-->
	        <xsl:attribute name="exportdata">false</xsl:attribute>
		<xsl:attribute name="expand">false</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		
		<xsl:attribute name="validate">true</xsl:attribute>
		<xsl:call-template name="DisplayPageTitle"/>
		<xsl:call-template name="IncludeJavascriptCode"/>
		<PromptText>
			<xsl:value-of select="$strEXECUTIONPROMPT"/>
		</PromptText>
		<TableData columnspacing="true">
			<xsl:call-template name="DisplayHeader"/>
			<xsl:for-each select="TestRequest">
				<xsl:call-template name="DisplayRequestInfo"/>
			</xsl:for-each>
		</TableData>
	</xsl:template>
	<xsl:template name="DisplayHeader">
		<Header>
			<Data name="RequestId" link="false">
				<xsl:attribute name="display"><xsl:value-of select="$strREQUESTID"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strREQUESTID"/></xsl:attribute>
			</Data>
			<Data name="DeviceName" link="false">
				<xsl:attribute name="display"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
			</Data>
			<Data name="TestName" link="false">
				<xsl:attribute name="display"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
			</Data>
			<Data name="QuickTest" link="false" align="center">
				<xsl:attribute name="display"><xsl:value-of select="$strQUICKTEST"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strQUICKTEST"/></xsl:attribute>
			</Data>
			<Data name="HaltOnError" link="false" align="center">
				<xsl:attribute name="display"><xsl:value-of select="$strHALTERROR"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strHALTERROR"/></xsl:attribute>
			</Data>
			<Data name="Passes" link="false" align="center">
				<xsl:attribute name="display"><xsl:value-of select="$strNOSPASSES"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strNOSPASSES"/></xsl:attribute>
			</Data>
			<Data name="RunTime" link="false" align="center">
				<xsl:attribute name="display"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
			</Data>
			<Data name="Locator" link="false" align="center">
				<xsl:attribute name="display"><xsl:value-of select="$strDEVICELOCATION"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strDEVICELOCATION"/></xsl:attribute>
			</Data>
			<Data name="Description" link="false" align="center">
				<xsl:attribute name="display"><xsl:value-of select="$strDEVICEDESCRIPTION"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strDEVICEDESCRIPTION"/></xsl:attribute>
			</Data>
		</Header>
	</xsl:template>
	<xsl:template name="DisplayRequestInfo">
		<Row>
			<Data name="TestRequestId">
				<xsl:attribute name="value"><xsl:value-of select="./@requestid"/></xsl:attribute>
			</Data>
			<Data name="DeviceName">
				<xsl:attribute name="value"><xsl:value-of select="./Device/@name"/></xsl:attribute>
			</Data>
			<Data name="TestName">
				<xsl:attribute name="value"><xsl:value-of select="./Test/@name"/></xsl:attribute>
			</Data>
			<Data name="SevStatus" type="status" align="center">
				<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
				<!-- 0 = Unknown; 1 = Unknown ; 2 = OK ;  3 = Non-Critical ; 4 = Critical ; 5 =  Non-Recoverable ; 6 = Aborted -->
				<xsl:choose>
					<xsl:when test="./DiagnosticSettings/@quicktest = 'true'">
						<xsl:attribute name="value">2</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="SevStatus" type="status" align="center">
				<xsl:choose>
					<xsl:when test="./DiagnosticSettings/@haltonerror = 'true'">
						<xsl:attribute name="value">2</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="Passes" display="Passes" link="false" align="center">
				<xsl:if test="./DiagnosticSettings/@numpasses = -1">
					<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="./DiagnosticSettings/@numpasses != -1 ">
					<xsl:attribute name="value"><xsl:value-of select="./DiagnosticSettings/@numpasses"/></xsl:attribute>
				</xsl:if>
			</Data>
			<Data name="RunTime" display="RunTime" link="false" align="center">
				<xsl:if test="./DiagnosticSettings/@runtime = -1">
					<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="./DiagnosticSettings/@runtime != -1 ">
					<xsl:attribute name="value"><xsl:value-of select="./DiagnosticSettings/@runtime"/><xsl:value-of select="$strMINUTE"/></xsl:attribute>
				</xsl:if>
			</Data>
			<Data name="Location">
				<xsl:attribute name="value"><xsl:value-of select="./Device/@location"/></xsl:attribute>
			</Data>
			<Data name="DeviceTestDescription">
				<xsl:attribute name="value"><xsl:value-of select="./Device/@description"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="SORTDECIDE">
		<xsl:param name="sortkey"/>
		<xsl:param name="sortorder"/>
		<xsl:choose>
			<xsl:when test="$sortkey != ''">
				<xsl:choose>
					<xsl:when test="$sortkey='devicename'">
						<xsl:apply-templates select="DeviceTestPair">
							<xsl:sort order="{$sortorder}" select="./Device/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='testname'">
						<xsl:apply-templates select="DeviceTestPair">
							<xsl:sort order="{$sortorder}" select="./Test/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="DeviceTestPair">
							<xsl:sort order="{$sortorder}" select="attribute::*[local-name() = $sortkey]"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="DeviceTestPair">
					<xsl:sort order="ascending" select="."/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Template decides the order in which the fields will be sorted.-->
	<xsl:template name="DECIDE-ORDER">
		<xsl:param name="sortField"/>
		<xsl:param name="curField"/>
		<xsl:param name="sortOrder"/>
		<xsl:choose>
			<xsl:when test="$sortField = $curField">
				<xsl:choose>
					<xsl:when test="$sortOrder = 'ascending'">
						<xsl:value-of select="$curField"/>&amp;sortorder=descending</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ViewTestDetails">
		<!--To Fix DFCT118115-->
		<xsl:attribute name="exportdata">false</xsl:attribute>
		
		<xsl:attribute name="printable">true</xsl:attribute>

		<!--To Fix DFCT118115-->
		<xsl:attribute name="expand">false</xsl:attribute>
		<xsl:attribute name="expandl">false</xsl:attribute>

		<xsl:attribute name="email">true</xsl:attribute>
		<xsl:attribute name="submit"><xsl:value-of select="$BASEURL"/>&amp;lsnb=Review</xsl:attribute>
		<xsl:attribute name="submitdisplay"><xsl:value-of select="$strBACKTOREVIEW"/></xsl:attribute>
		<xsl:call-template name="ViewDetailPageTitle"/>
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><xsl:value-of select="$strREFRESH"/></xsl:attribute>
				<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;lsnb=Review&amp;action=ViewTestDetails&amp;CurrentSelectionIndex=<xsl:value-of select="/OMA/CurrentSelectionIndex"/></xsl:attribute>
			</Data>
		</CustomButton>
		<xsl:variable name="selectionindex">
			<xsl:value-of select="/OMA/CurrentSelectionIndex"/>
		</xsl:variable>
		<xsl:for-each select="/OMA/DeviceTestPair">
			<xsl:if test="@CurrentSelectionIndex = $selectionindex">
				<xsl:call-template name="ShowDetails"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="ShowDetails">
		<xsl:variable name="AttrNameColSpan">15</xsl:variable>
		<xsl:variable name="AttrValueColSpan">25</xsl:variable>
		<TableData name="DeviceInformation">
			<xsl:attribute name="display"><xsl:value-of select="$strDEVICEINFO"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strDEVICEINFO"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="display"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><xsl:value-of select="$strVALUE"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVALUE"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strNAME"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/@name"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strDESCRIPTION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/@description"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/@location"/></xsl:attribute>
				</Data>
			</Row>
			<!-- Commented these lines to fix CHNG92055 -->
			<!--
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strDESCRIPTOR"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/@descriptor"/></xsl:attribute>
				</Data>
			</Row>
			-->
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strADDITIONALHWINFO"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/@additionalhwinfo"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strMFGNAME"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/FRUInfo/@manufacturerName"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strFRMREVISION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/FRUInfo/@firmwareRevision"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strSERIALNOS"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/FRUInfo/@serialNumber"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strMODELNOS"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/FRUInfo/@modelNumber"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strASSETTAG"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/FRUInfo/@assetTag"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strSKUNOS"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Device/FRUInfo/@skuNumber"/></xsl:attribute>
				</Data>
			</Row>
		</TableData>
		<TableData name="TestInformation" width="100%">
			<xsl:attribute name="display"><xsl:value-of select="$strTESTINFO"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strTESTINFO"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left" width="20%">
					<xsl:attribute name="value"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
				</Data>
				<Data align="left" width="80%">
					<xsl:attribute name="value"><xsl:value-of select="$strVALUE"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strNAME"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Test/@name"/></xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strTESTDESCRIPTION"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="./Test/@description"/></xsl:attribute>
				</Data>
			</Row>
			<xsl:if test="./Test/@hasalert ='true'">
				<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strTESTPKGWARNING"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="colspan"><xsl:value-of select="$AttrValueColSpan"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="./Test/@alerttext"/></xsl:attribute>
					</Data>
				</Row>
			</xsl:if>
		</TableData>
		<TableData name="TestSettingsInformation">
			<xsl:attribute name="display"><xsl:value-of select="$strTESTSETTINGS"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strTESTSETTINGS"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data align="left">
					<xsl:attribute name="value"><xsl:value-of select="$strATTRIBUTES"/></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="value"><xsl:value-of select="$strVALUE"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strNOSPASSES"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:if test="./DiagnosticSettings/@numpasses = -1">
						<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./DiagnosticSettings/@numpasses != -1 ">
						<xsl:attribute name="value"><xsl:value-of select="./DiagnosticSettings/@numpasses"/></xsl:attribute>
					</xsl:if>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strQUICKTEST"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:if test="./DiagnosticSettings/@quicktest='true'">
						<xsl:attribute name="value"><xsl:value-of select="$strYES"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./DiagnosticSettings/@quicktest='false'">
						<xsl:attribute name="value"><xsl:value-of select="$strNO"/></xsl:attribute>
					</xsl:if>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strHALTERROR"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:if test="./DiagnosticSettings/@haltonerror='true'">
						<xsl:attribute name="value"><xsl:value-of select="$strYES"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./DiagnosticSettings/@haltonerror='false'">
						<xsl:attribute name="value"><xsl:value-of select="$strNO"/></xsl:attribute>
					</xsl:if>
				</Data>
			</Row>
			<Row>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strRUNTIMEREQUESTED"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:if test="./DiagnosticSettings/@runtime = -1">
						<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="./DiagnosticSettings/@runtime != -1 ">
						<xsl:attribute name="value"><xsl:value-of select="./DiagnosticSettings/@runtime"/><xsl:value-of select="$strMINUTE"/></xsl:attribute>
					</xsl:if>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template name="ViewDetailPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strSELECTIONREVIEWDETAILS"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<xsl:template name="IncludeJavascriptCode">
		<script language="javascript">
				function deselectTest(elem, devicetestindex) {
					var baseurl = "/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticReviewWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Review" ;
					var action              = "&amp;action=RemoveSelectedTest"
					var indexparam        = "&amp;CurrentSelectionIndex=" + devicetestindex ;
					document.dataarea.action = baseurl + action + indexparam;
					document.dataarea.submit() ;
				}

				function viewDetails(devicetestindex) {
					var action              = "&amp;action=ViewTestDetails"
					var indexparam        = "&amp;CurrentSelectionIndex=" + devicetestindex ;
					document.dataarea.action = "<xsl:value-of select="$BASEURL"/>&amp;lsnb=Review" + action + indexparam ;
					document.dataarea.submit() ;
				}

				function changeTestSettings(devicetestindex, numtests, quicktest, haltonerror, runtime, haltonmultipasserror) {
					var baseurl              = "/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticAdvancedSettingsWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagSettings" ;
					var action               = "&amp;action=ModifyTestSettings" ;
					var indexparam         = "&amp;CurrentSelectionIndex=" + devicetestindex ;
					var numtestparam      = "&amp;NumberOfPasses=" + numtests;
					var quicktestparam    = "&amp;Quicktest=" + quicktest ;
					var haltonerrorparam  = "&amp;HaltOnError=" + haltonerror ;
					var runtimeparam      = "&amp;RunTime=" + runtime ;
					var multipasserrorparam = "&amp;HaltOnMultiPassError=" + haltonmultipasserror ;
					document.dataarea.action = baseurl + action + indexparam + numtestparam + quicktestparam + haltonerrorparam + runtimeparam + multipasserrorparam ; 
					document.dataarea.submit() ;
				}
				
				function validate()  {
					parent.snb.location.href = "/servlet/SelectServlet?component=System&amp;snb=Diagnostics&amp;lsnb=Status" ;
					return true;
				}
				
		</script>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
