<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="Component" select="/OMA/Component"/>
	<xsl:variable name="Snb" select="/OMA/Snb"/>
	<xsl:variable name="BASEURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticReviewScheduledWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>
	</xsl:variable>
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<xsl:variable name="displayView" select="/OMA/DisplayView"/>
		<DataArea>
			
			<xsl:if test="count(DiagScheduledTask) = 0">
				<xsl:attribute name="exportdata">false</xsl:attribute>
				<xsl:attribute name="printable">false</xsl:attribute>
				<xsl:attribute name="expand">false</xsl:attribute>
				<xsl:attribute name="expandl">false</xsl:attribute>
				<xsl:attribute name="email">false</xsl:attribute>
				<xsl:call-template name="DisplayPageTitle"/>
				<xsl:call-template name="NoScheduledTasks"/>
			</xsl:if>
			<xsl:if test="count(DiagScheduledTask) != 0">
				<xsl:attribute name="exportdata">false</xsl:attribute>
				<xsl:attribute name="printable">true</xsl:attribute>
				<xsl:attribute name="expand">false</xsl:attribute>
				<xsl:attribute name="expandl">false</xsl:attribute>
				<xsl:attribute name="email">true</xsl:attribute>
				<xsl:call-template name="DisplayPageTitle"/>
				<xsl:call-template name="IncludeJavascriptCode"/>
				<CustomButton>
					<Data name="Clear">
						<xsl:attribute name="display"><xsl:value-of select="$strCANCELALL"/></xsl:attribute>
						<xsl:attribute name="href">javascript:cancelAllTask()</xsl:attribute>
					</Data>					
				</CustomButton>
				<CustomButton>
					<Data name="Refresh">
						<xsl:attribute name="display"><xsl:value-of select="$strREFRESH"/></xsl:attribute>
						<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;lsnb=DiagScheduledTask</xsl:attribute>
					</Data>					
				</CustomButton>

				<PromptText>
					<xsl:value-of select="$strPROMPTTEXT"/>
				</PromptText>
				<xsl:call-template name="ListScheduledTasks"/>
			</xsl:if>
		</DataArea>
	</xsl:template>
	<!-- ########################################################################## -->
	<xsl:template name="NoScheduledTasks">
		<xsl:choose>
		<xsl:when test="(Status/MessageType='ERROR') and (Status/MessageDetails='SCHEDULER_ERROR')">
			<PromptText>
					<xsl:value-of select="$strSCHEDULERERROR"/>
			</PromptText>
		</xsl:when>
		<xsl:otherwise>
			<TableData>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="$strNORESULT"/></xsl:attribute>
					</xsl:element>
				</Row>
			</TableData>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- ########################################################################## -->
	<xsl:template name="DisplayPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strPAGETITLE"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<!-- ########################################################################## -->
	<xsl:template name="ListScheduledTasks">
		<xsl:variable name="srtfld">
			<xsl:value-of select="SortField"/>
		</xsl:variable>
		<xsl:variable name="srtorder">
			<xsl:value-of select="SortOrder"/>
		</xsl:variable>

		<TableData columnspacing="true">
			<Header>
				<Data value=" " display=" "/>
				<Data name="TaskName" align="center" link="true">
					<xsl:attribute name="href">
						<xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER">
								<xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param>
								<xsl:with-param name="curField">taskname</xsl:with-param>
								<xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param>
							</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strTASKNAME"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strTASKNAME"/></xsl:attribute>
				</Data>
				<Data name="TaskDesc" align="center" link="true">
					<xsl:attribute name="href">
						<xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER">
								<xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param>
								<xsl:with-param name="curField">taskdesc</xsl:with-param>
								<xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param>
							</xsl:call-template>
					</xsl:attribute>

					<xsl:attribute name="value"><xsl:value-of select="$strTASKDESC"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strTASKDESC"/></xsl:attribute>
				</Data>
				<Data name="LastRunTime" align="center" link="true">
					<xsl:attribute name="href">
						<xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER">
								<xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param>
								<xsl:with-param name="curField">LastMillis</xsl:with-param>
								<xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param>
							</xsl:call-template>
					</xsl:attribute>

					<xsl:attribute name="value"><xsl:value-of select="$strLASTRUNTIME"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strLASTRUNTIME"/></xsl:attribute>
				</Data>
				<Data name="NextRunTime" align="center" link="true">
					<xsl:attribute name="href">
						<xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER">
								<xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param>
								<xsl:with-param name="curField">NextMillis</xsl:with-param>
								<xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param>
							</xsl:call-template>
					</xsl:attribute>

					<xsl:attribute name="value"><xsl:value-of select="$strNEXTRUNTIME"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strNEXTRUNTIME"/></xsl:attribute>
				</Data>
				<Data name="Schedule" align="center" link="true">
					<xsl:attribute name="href">
						<xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER">
								<xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param>
								<xsl:with-param name="curField">Frequency</xsl:with-param>
								<xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param>
							</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strSCHEDULE"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strSCHEDULE"/></xsl:attribute>
				</Data>
				<Data name="Details" align="center" link="false">
					<xsl:attribute name="value"><xsl:value-of select="$strDETAILS"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="$strDETAILS"/></xsl:attribute>
				</Data>
			</Header>
			<xsl:call-template name="SORTDECIDE">
						<xsl:with-param name="sortkey">
							<xsl:value-of select="$srtfld"/>
						</xsl:with-param>
						<xsl:with-param name="sortorder">
							<xsl:choose>
								<xsl:when test="$srtorder != ''">
									<xsl:value-of select="$srtorder"/>
								</xsl:when>
							</xsl:choose>
						</xsl:with-param>
			</xsl:call-template>

			<!--<xsl:apply-templates select="./DiagScheduledTask"/>-->
		</TableData>
	</xsl:template>
	
	<!-- ########################################################################## -->
	<!-- Template decides the sort field currently selected -->
	<!-- ########################################################################## -->
	<xsl:template name="SORTDECIDE">
		<xsl:param name="sortkey"/>
		<xsl:param name="sortorder"/>
		<xsl:choose>
			<xsl:when test="$sortkey != ''">
				<xsl:choose>
					<xsl:when test="$sortkey='taskname'">
						<xsl:apply-templates select="./DiagScheduledTask">
							<xsl:sort order="{$sortorder}" select="@taskname"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='taskdesc'">
						<xsl:apply-templates select="./DiagScheduledTask">
							<xsl:sort order="{$sortorder}" select="@taskdesc"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='LastMillis'">
						<xsl:apply-templates select="./DiagScheduledTask">
							<xsl:sort order="{$sortorder}" select="SchedulerSettings/@LastMillis" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='NextMillis'">
						<xsl:apply-templates select="./DiagScheduledTask">
							<xsl:sort order="{$sortorder}" select="SchedulerSettings/@NextMillis" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='Frequency'">
						<xsl:apply-templates select="./DiagScheduledTask">
							<xsl:sort order="{$sortorder}" select="SchedulerSettings/@Frequency" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="./DiagScheduledTask">
							<xsl:sort order="{$sortorder}" select="attribute::*[local-name() = $sortkey]"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="./DiagScheduledTask">
					<xsl:sort order="descending" select="@taskname"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	
	
	<!-- ########################################################################## -->
	<xsl:template match="DiagScheduledTask">
		<Row>
			<Data type="icon" align="center" value="/oldiags/images/deletediag.gif" link="true">
				<xsl:attribute name="alt"><xsl:value-of select="$strDELETETASK"/></xsl:attribute>
				<xsl:attribute name="href">javascript:unscheduleTask(this,'<xsl:value-of select="@IDENTIFIER"/>');</xsl:attribute>
				<xsl:attribute name="returnvalue">0</xsl:attribute>
			</Data>
			<Data name="TaskName">
				<xsl:attribute name="value"><xsl:value-of select="@taskname"/></xsl:attribute>
			</Data>
			<Data name="TaskDesc">
				<xsl:attribute name="value"><xsl:value-of select="@taskdesc"/></xsl:attribute>
			</Data>
			<Data name="LastRunTime">
				<xsl:if test="./SchedulerSettings/@LastRunTime ='' ">
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="./SchedulerSettings/@LastRunTime != ''">
								<xsl:value-of select="./SchedulerSettings/@LastRunTime"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$strHYPHEN"/>
							</xsl:otherwise>
						</xsl:choose>					
				</xsl:attribute>				
			</Data>
			<Data name="NextRunTime">
				<xsl:if test="./SchedulerSettings/@NextRunTime ='' ">
					<xsl:attribute name="align">center</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="./SchedulerSettings/@NextRunTime != ''">
							<xsl:value-of select="./SchedulerSettings/@NextRunTime"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$strHYPHEN"/>
						</xsl:otherwise>
					</xsl:choose>					
				</xsl:attribute>
			</Data>
			<Data name="Schedule">
				<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="./SchedulerSettings/@Frequency = '0'">
						<xsl:value-of select="$strONCEAT1"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@Time"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@DatePos1"/><xsl:value-of select="./SchedulerSettings/@DatePos2"/><xsl:value-of select="' '"/><xsl:value-of select="$strONCEAT3"/>
					</xsl:when>
					<xsl:when test="./SchedulerSettings/@Frequency = '1'">
						<xsl:value-of select="./SchedulerSettings/@DatePos1"/><xsl:value-of select="' '"/><xsl:value-of select="$strDAILYAT2"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@Time"/><xsl:value-of select="' '"/><xsl:value-of select="$strDAILYAT4"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@DatePos2"/>
					</xsl:when>
					<xsl:when test="./SchedulerSettings/@Frequency = '2'">
						<xsl:value-of select="./SchedulerSettings/@DatePos1"/><xsl:value-of select="' '"/><xsl:value-of select="$strWEEKLYAT2"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@Time"/><xsl:value-of select="' '"/><xsl:value-of select="$strWEEKLYAT4"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@DatePos2"/>
					</xsl:when>
					<xsl:when test="./SchedulerSettings/@Frequency = '3'">
						<xsl:value-of select="./SchedulerSettings/@DatePos1"/><xsl:value-of select="' '"/><xsl:value-of select="$strMONTHLYAT2"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@Time"/><xsl:value-of select="' '"/><xsl:value-of select="$strMONTHLYAT4"/><xsl:value-of select="' '"/><xsl:value-of select="./SchedulerSettings/@DatePos2"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$strHYPHEN"/>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Details" align="center" link="true">
				<xsl:attribute name="value"><xsl:value-of select="$strVIEW"/></xsl:attribute>
				<xsl:attribute name="href">javascript:viewTaskDetails(this, '<xsl:value-of select="@IDENTIFIER"/>');</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	
	<!-- ########################################################################## -->
	<!-- Template decides the order in which the fields will be sorted.-->
	<!-- ########################################################################## -->
	<xsl:template name="DECIDE-ORDER">
		<xsl:param name="sortField"/>
		<xsl:param name="curField"/>
		<xsl:param name="sortOrder"/>
		<xsl:choose>
			<xsl:when test="$sortField = $curField">
				<xsl:choose>
					<xsl:when test="$sortOrder = 'ascending'">
						<xsl:value-of select="$curField"/>&amp;sortorder=descending</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	
	<!-- ########################################################################## -->
	<xsl:template name="IncludeJavascriptCode">
		<script language="javascript">
			function cancelAllTask() {
				document.dataarea.action='<xsl:value-of select="$BASEURL"/>&amp;lsnb=DiagScheduledTask&amp;action=CancelAllTask';
				if(confirm('<xsl:value-of select="$strSCHEDULEDTASKCONFIRM2"/>'))
					document.dataarea.submit();
			}

			function unscheduleTask(elem,taskid) {
					var baseurl = "/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticReviewScheduledWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagScheduledTask";
					var action = "&amp;action=RemoveSelectedTask";
					var actionparam = "&amp;TaskId=" + taskid;
					document.dataarea.action = baseurl + action + actionparam;
					if(confirm('<xsl:value-of select="$strSCHEDULEDTASKCONFIRM1"/>'))
						document.dataarea.submit();
			}
			
			function viewTaskDetails(elem, taskid) {
					var baseurl = "/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticScheduleWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=DiagScheduledTask";
					var action  = "&amp;action=ViewTaskDetails";
					var actionparam = "&amp;TaskId=" + taskid;
					document.dataarea.action = baseurl + action + actionparam;
					document.dataarea.submit();
			}

		</script>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
