<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="Component" select="/OMA/Component"/>
	<xsl:variable name="Snb" select="/OMA/Snb"/>
	<xsl:variable name="BASEURL">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticStatusWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status</xsl:variable>
	<xsl:variable name="SUBMITURL">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticStatusWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status</xsl:variable>
	<xsl:template match="/OMA">
		<xsl:apply-templates select="IncludePath"/>
		<DataArea exportdata="false">
			<xsl:variable name="srtfld">
				<xsl:value-of select="SortField"/>
			</xsl:variable>
			<xsl:variable name="srtorder">
				<xsl:value-of select="SortOrder"/>
			</xsl:variable>
			<xsl:if test="DiagnosticStatus/Empty">
				<xsl:call-template name="NoStatusAvailable"/>
			</xsl:if>
			<xsl:if test="not(DiagnosticStatus/Empty)">
				<xsl:call-template name="DisplayPageTitle"/>
				<script language="javascript">
				/* Fix 119374
				function reloadPage()
				{
					document.location.href = document.URL ;
				}
				*/
				//Code Added for Fix 119374. Changes are also made in DataAra.xsl and SNB.xsl 
				function reloadPage()
				{
					if (parent.da.g_bStopOldRefresh == false)
						{
							document.location.href = document.URL ;
						}
				}

				function clearCompleted()
				{
					var actionparam = "&amp;action=clearCompletedTests";
					document.dataarea.action='<xsl:value-of select="$SUBMITURL"/>' + actionparam;
					document.dataarea.submit();
				}
			
				function showProgress(requestid, jobid, username, submissiontime) {
					var requestidparam = "&amp;RequestId=" + requestid ;
					var jobidparam = "&amp;JobId=" + jobid ;
					var usernameparam = "&amp;UserName=" + username ;
					var timestampparam = "&amp;TimeStamp=" + submissiontime;
					document.dataarea.action="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticProgressWebPlugin&amp;ct=<xsl:value-of select="$Component"/>&amp;snb=<xsl:value-of select="$Snb"/>&amp;lsnb=Status" + requestidparam + jobidparam + usernameparam + timestampparam;
					document.dataarea.submit() ;
				}
				
				function abortTests(requestid) {
					var requestidparam = "&amp;requestid=" + requestid ;
					var actionparam = "&amp;action=abortTests";
					document.dataarea.action="<xsl:value-of select="$SUBMITURL"/>" + requestidparam + actionparam ;
					document.dataarea.submit() ;
				}

				function abortAllTests() {
					var actionparam = "&amp;action=abortAllTests";
					document.dataarea.action="<xsl:value-of select="$SUBMITURL"/>" + actionparam ;
					document.dataarea.submit() ;
				}


				function suspendTests(requestid) {
					var requestidparam = "&amp;requestid=" + requestid ;
					var actionparam = "&amp;action=suspendTests";
					document.dataarea.action="<xsl:value-of select="$SUBMITURL"/>" + requestidparam + actionparam ;
					document.dataarea.submit() ;
				}
				
				function resumeTests(requestid) {
					var requestidparam = "&amp;requestid=" + requestid ;
					var actionparam = "&amp;action=resumeTests";
					document.dataarea.action="<xsl:value-of select="$SUBMITURL"/>" + requestidparam + actionparam ;
					document.dataarea.submit() ;
				}

			</script>
				<PromptText>
					<xsl:value-of select="$strCOMPLETEEXECUTION"/><xsl:text> </xsl:text>
                                 <xsl:value-of select="$strLASTUPDATE1"/><xsl:text> </xsl:text><xsl:value-of select="/OMA/LastUpdatedTime"/><xsl:text> </xsl:text><xsl:value-of select="$strLASTUPDATE3"/>
				</PromptText>
				<CustomButton>
					<Data name="Clear">
						<xsl:attribute name="display"><xsl:value-of select="$strCLEAR"/></xsl:attribute>
						<xsl:attribute name="href">javascript:clearCompleted()</xsl:attribute>
						<xsl:attribute name="formSubmit">true</xsl:attribute>
					</Data>
				</CustomButton>
				<CustomButton>
					<Data name="Refresh">
						<xsl:attribute name="display"><xsl:value-of select="$strREFRESH"/></xsl:attribute>
						<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/></xsl:attribute>
					</Data>
				</CustomButton>
				<CustomButton>
					<Data name="AbortAll">
						<xsl:attribute name="display"><xsl:value-of select="$strABORTALL"/></xsl:attribute>
						<xsl:attribute name="href">javascript:abortAllTests();</xsl:attribute>
					</Data>
				</CustomButton>
				<HTMLData>
					<script language="Javascript">
						setTimeout("reloadPage()",10000) ;
					</script>
				</HTMLData>
				<TableData columnspacing="true">
					<Header>
						<Data name="Status" width="20" link="true" align="center" colspan="3">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">status</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strSTATUS"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSTATUS"/></xsl:attribute>
						</Data>
						<Data name="RequestId" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">requestid</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strREQUESTID"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strREQUESTID"/></xsl:attribute>
						</Data>
						<Data name="Timestamp" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">timestamp</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strSUBMISSIONTIME"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSUBMISSIONTIME"/></xsl:attribute>
						</Data>
						<Data name="DeviceName" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">devicename</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strDEVICENAME"/></xsl:attribute>
						</Data>
						<Data name="TestName" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">testname</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strTESTNAME"/></xsl:attribute>
						</Data>
						<Data name="PercentComplete" link="true" align="left">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">percentcomplete</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strPERCENTCOMPLETE"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPERCENTCOMPLETE"/></xsl:attribute>
						</Data>
						<Data name="Location" link="false">
							<xsl:attribute name="display"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLOCATION"/></xsl:attribute>
						</Data>
						<!--
						<Data name="Additionalhwinfo" link="false">
							<xsl:attribute name="display"><xsl:value-of select="$strADDITIONALHWINFO"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strADDITIONALHWINFO"/></xsl:attribute>
						</Data>
						-->
						<Data name="Passes" link="false">
							<xsl:attribute name="display"><xsl:value-of select="$strPASSES"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPASSES"/></xsl:attribute>
						</Data>
						<Data name="RunTime" link="false">
							<xsl:attribute name="display"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strRUNTIME"/></xsl:attribute>
						</Data>
						<!--
						<Data name="Submitter" display="Submitted By" value="Submitter" link="true">
							<xsl:attribute name="href"><xsl:value-of select="$BASEURL"/>&amp;sortfield=<xsl:call-template name="DECIDE-ORDER"><xsl:with-param name="sortField"><xsl:value-of select="$srtfld"/></xsl:with-param><xsl:with-param name="curField">submittedby</xsl:with-param><xsl:with-param name="sortOrder"><xsl:value-of select="$srtorder"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="display"><xsl:value-of select="$strSUBMITTEDBY"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSUBMITTEDBY"/></xsl:attribute>
						</Data>
						-->
						<Data name="Abort" link="false">
							<xsl:attribute name="display"><xsl:value-of select="$strABORT"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strABORT"/></xsl:attribute>
						</Data>
						<Data name="Suspend" link="false">
							<xsl:attribute name="display"><xsl:value-of select="$strSUSPEND"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSUSPEND"/></xsl:attribute>
						</Data>
						<Data name="Progress" link="false">
							<xsl:attribute name="display"><xsl:value-of select="$strPROGRESS"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPROGRESS"/></xsl:attribute>
						</Data>
					</Header>
					<xsl:call-template name="SORTDECIDE">
						<xsl:with-param name="sortkey">
							<xsl:value-of select="$srtfld"/>
						</xsl:with-param>
						<xsl:with-param name="sortorder">
							<xsl:choose>
								<xsl:when test="$srtorder != ''">
									<xsl:value-of select="$srtorder"/>
								</xsl:when>
							</xsl:choose>
						</xsl:with-param>
					</xsl:call-template>
				</TableData>
			</xsl:if>
		</DataArea>
	</xsl:template>
	<xsl:template match="//Result">
		<Row>
			<Data name="SevStatus" type="status">
				<!-- IN_PROGRESS = 0;SUSPENDED = 1;FAILED = 2;ABORTED = 3;SUCCEEDED = 4;UNUSUAL_STATUS = 5; -->
				<!-- MNF 0 = Unknown; 1 = Unknown ; 2 = OK ;  3 = Non-Critical ; 4 = Critical ; 5 =  Non-Recoverable ; 6 = Aborted; 7 = Progress; 8 = Suspend; 9 = Resume; 10 = Pending -->
				<xsl:choose>
					<xsl:when test="@type = '0'">
						<xsl:attribute name="value">7</xsl:attribute>
					</xsl:when>
					<xsl:when test="@type = '1'">
						<xsl:attribute name="value">8</xsl:attribute>
					</xsl:when>
					<xsl:when test="@type = '2'">
						<xsl:attribute name="value">4</xsl:attribute>
					</xsl:when>
					<xsl:when test="@type = '3'">
						<xsl:attribute name="value">6</xsl:attribute>
					</xsl:when>
					<xsl:when test="@type = '4'">
						<xsl:attribute name="value">2</xsl:attribute>
					</xsl:when>
					<xsl:when test="@type = '5'">
						<xsl:attribute name="value">3</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">0</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="testtypeicon" type="icon" align="right">
					<xsl:attribute name="name">TESTTYPE</xsl:attribute>
					<xsl:choose>
						<xsl:when test="@scheduled='true'">
							<xsl:attribute name="value">/oldiags/images/sched.gif</xsl:attribute>
						</xsl:when>
						<xsl:when test="@clitest='true'">
							<xsl:attribute name="value">/oldiags/images/cli.gif</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value">/oma/images/blank.gif</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
			</Data>

			<Data name="RequestID">
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/@requestid"/></xsl:attribute>
			</Data>
			<Data name="TimeStamp">
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/@submissiontime"/></xsl:attribute>
			</Data>
			<Data name="DeviceName">
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@name"/></xsl:attribute>
			</Data>
			<Data name="TestName">
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Test/@name"/></xsl:attribute>
			</Data>
			<Data name="PercentComplete">
				<xsl:attribute name="value"><xsl:value-of select="@percentcomplete"/>%</xsl:attribute>
			</Data>
			<Data name="Location">
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@location"/></xsl:attribute>
			</Data>
			<!--
			<Data name="Additionalhwinfo" align="center">
                          <xsl:choose>
	                       <xsl:when test="./TestRequest/Device/@additionalhwinfo=''">
	                            <xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
	                       </xsl:when>
	                       <xsl:otherwise>
	                             <xsl:attribute name="value"><xsl:value-of select="./TestRequest/Device/@additionalhwinfo"/></xsl:attribute>
	                       </xsl:otherwise>  
                           </xsl:choose>			
			</Data>
			-->
			<Data name="Pass" align="center">
				<xsl:choose>
					<xsl:when test="./TestRequest/DiagnosticSettings/@numpasses = -1">
						<xsl:attribute name="value"><xsl:value-of select="@currentpass"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="@currentpass"/>/<xsl:value-of select="@totalpasses"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="RunTime" align="center">
				<xsl:choose>
					<xsl:when test="./TestRequest/DiagnosticSettings/@runtime = -1">
						<xsl:attribute name="value"><xsl:value-of select="$strHYPHEN"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="@timecompleted"/>
							<xsl:if test="./@timecompleted != ''">/</xsl:if>
							<xsl:value-of select="./TestRequest/DiagnosticSettings/@runtime"/><xsl:value-of select="$strMINUTE"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<!--
			<Data name="Submitter">
				<xsl:attribute name="value"><xsl:value-of select="./TestRequest/@username"/></xsl:attribute>
			</Data>
			-->
			<xsl:choose>
				<xsl:when test="((./TestRequest/Test/@capabilities = '2') and (./@iscomplete != 'true'))">
					<Data name="Abort" width="20" link="true">
						<xsl:attribute name="display"><xsl:value-of select="$strABORT"/></xsl:attribute>
						<xsl:attribute name="href">javascript:abortTests('<xsl:value-of select="./TestRequest/@requestid"/>');</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strABORT"/></xsl:attribute>
					</Data>
					<xsl:if test="./@type!='1'">
						<Data name="Suspend" width="20">
							<xsl:choose>
								<xsl:when test="(./@type='6')">
									<xsl:attribute name="value"><xsl:value-of select="$strSUSPEND"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="link">true</xsl:attribute>
									<xsl:attribute name="href">javascript:suspendTests('<xsl:value-of select="./TestRequest/@requestid"/>');</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$strSUSPEND"/></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</Data>
					</xsl:if>
					<xsl:if test="./@type='1'">
						<Data name="Resume" width="20" link="true">
							<xsl:attribute name="href">javascript:resumeTests('<xsl:value-of select="./TestRequest/@requestid"/>');</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strRESUME"/></xsl:attribute>
						</Data>
					</xsl:if>
				</xsl:when>
				<xsl:when test="(( (./TestRequest/DiagnosticSettings/@numpasses &gt; 1) or (./TestRequest/DiagnosticSettings/@runtime != -1) or (./TestRequest/Test/@capabilities = '1')) and (./@iscomplete != 'true'))">
					<Data name="Abort" width="20" link="true">
						<xsl:attribute name="display"><xsl:value-of select="$strABORT"/></xsl:attribute>
						<xsl:attribute name="href">javascript:abortTests('<xsl:value-of select="./TestRequest/@requestid"/>');</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strABORT"/></xsl:attribute>
					</Data>
					<Data name="Suspend" width="20" link="false" value=""/>
				</xsl:when>
				<xsl:otherwise>
					<Data name="Abort" width="20" link="false" value=""/>
					<Data name="Suspend" width="20" link="false" value=""/>
				</xsl:otherwise>
			</xsl:choose>
			<Data name="Details" width="20" link="true">
				<xsl:attribute name="display"><xsl:value-of select="$strVIEW"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strVIEW"/></xsl:attribute>
				<xsl:attribute name="href">javascript:showProgress('<xsl:value-of select="./TestRequest/@requestid"/>','<xsl:value-of select="./TestRequest/@jobid"/>','<xsl:call-template name="replace-substring"><xsl:with-param name="text" select="./TestRequest/@username"/><xsl:with-param name="from">\</xsl:with-param><xsl:with-param name="to">\\</xsl:with-param></xsl:call-template>','<xsl:value-of select="./TestRequest/@submittimeinsec"/>');</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="NoStatusAvailable">
		<xsl:attribute name="printable">false</xsl:attribute>
		<xsl:attribute name="expand">false</xsl:attribute>
		<xsl:attribute name="expandl">false</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:call-template name="DisplayPageTitle"/>
		<TableData>
			<Row>
				<xsl:element name="Data">
					<xsl:attribute name="value"><xsl:value-of select="$strNOSTATUS"/></xsl:attribute>
				</xsl:element>
			</Row>
		</TableData>
	</xsl:template>
	<xsl:template name="DisplayPageTitle">
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strPAGETITLE"/></xsl:attribute>
		</PageTitle>
	</xsl:template>
	<!-- Template decides the order in which the fields will be sorted.-->
	<xsl:template name="DECIDE-ORDER">
		<xsl:param name="sortField"/>
		<xsl:param name="curField"/>
		<xsl:param name="sortOrder"/>
		<xsl:choose>
			<xsl:when test="$sortField = $curField">
				<xsl:choose>
					<xsl:when test="$sortOrder = 'ascending'">
						<xsl:value-of select="$curField"/>&amp;sortorder=descending</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$curField"/>&amp;sortorder=ascending</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Template decides the sort field currently selected -->
	<xsl:template name="SORTDECIDE">
		<xsl:param name="sortkey"/>
		<xsl:param name="sortorder"/>
		<xsl:choose>
			<xsl:when test="$sortkey != ''">
				<xsl:choose>
					<xsl:when test="$sortkey='timestamp'">
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/@submittimeinsec" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='status'">
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="@type"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='requestid'">
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/@requestid" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='devicename'">
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Device/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='testname'">
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/Test/@name"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='percentcomplete'">
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="./@percentcomplete" data-type="number"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:when test="$sortkey='submittedby'">
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="./TestRequest/@username"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="DiagnosticStatus/Result">
							<xsl:sort order="{$sortorder}" select="attribute::*[local-name() = $sortkey]"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="DiagnosticStatus/Result">
					<xsl:sort order="descending" select="./TestRequest/@requestid" data-type="number"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="IncludePath">
		<xsl:element name="xsl:include">
			<xsl:attribute name="href">file:<xsl:value-of select="."/></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template name="replace-substring">
		<xsl:param name="text"/>
		<xsl:param name="from"/>
		<xsl:param name="to"/>
		<xsl:variable name="backslash">
			<xsl:call-template name="_replace-substring">
				<xsl:with-param name="text">
					<xsl:value-of select="$text"/>
				</xsl:with-param>
				<xsl:with-param name="from">\</xsl:with-param>
				<xsl:with-param name="to">\\</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="singlequote">
			<xsl:call-template name="_replace-substring">
				<xsl:with-param name="text">
					<xsl:value-of select="$backslash"/>
				</xsl:with-param>
				<xsl:with-param name="from">'</xsl:with-param>
				<xsl:with-param name="to">\'</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="doublequote">
			<xsl:call-template name="_replace-substring">
				<xsl:with-param name="text">
					<xsl:value-of select="$singlequote"/>
				</xsl:with-param>
				<xsl:with-param name="from">"</xsl:with-param>
				<xsl:with-param name="to">\"</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:value-of select="$doublequote"/>
	</xsl:template>
	<xsl:template name="_replace-substring">
		<xsl:param name="text"/>
		<xsl:param name="from"/>
		<xsl:param name="to"/>
		<xsl:choose>
			<xsl:when test="contains($text, $from)">
				<xsl:value-of select="substring-before ($text, $from)"/>
				<!-- Changed for Xalan 2 migration -->
				<!-- <xsl:copy-of select="$to"/> -->
				<xsl:value-of select="$to"/>
				<xsl:call-template name="_replace-substring">
					<xsl:with-param name="text" select="substring-after($text, $from)"/>
					<xsl:with-param name="from" select="$from"/>
					<xsl:with-param name="to" select="$to"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<!-- Changed for Xalan 2 migration -->
				<!-- <xsl:copy-of select="$text"/> -->
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
