<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the Confirm Import/Clear foreign config page.  The associated web plugin is the ControllerExecWebPlugin. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:import href="Utils.xsl"/>

	<xsl:variable name="opType">
		<xsl:choose>
			<xsl:when test="/OMA/Action = '8388608'">
				<xsl:value-of select="$strClear"/>
			</xsl:when>
			<xsl:when test="/OMA/Action = '16777216'">
				<xsl:value-of select="$strImport"/>
			</xsl:when>
		</xsl:choose>
	</xsl:variable>

	<xsl:template match="OMA">
		<DataArea printable="false" email="false" validate="false" Refresh="false" export="false" exportdata="false">
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.sm.webplugins.ControllerExecWebPlugin&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;ControllerName=<xsl:value-of select="ControllerName"/>&amp;Action=<xsl:value-of select="Action"/>&amp;help=cnprin&amp;</xsl:attribute>
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$opType"/></xsl:attribute>

			<xsl:attribute name="backpagedisplay"><xsl:value-of select="$strCancel"/></xsl:attribute>
			<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.sm.webplugins.ControllerInfoWebPlugin&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;ControllerName=<xsl:value-of select="ControllerName"/>&amp;help=cnprin</xsl:attribute>

			<PageTitle>
				<xsl:attribute name="display">
					<xsl:value-of select="ControllerName"/><xsl:value-of select="$strColon"/><xsl:value-of select="$strSpace"/><xsl:value-of select="$opType"/>
				</xsl:attribute>
			</PageTitle>
			
			<PromptText ignoreoncli="true">
				<xsl:choose>
					<xsl:when test="/OMA/Action = '8388608'">
						<xsl:value-of select="$strSubClearCfgHeader1"/>
					</xsl:when>
					<xsl:when test="/OMA/Action = '16777216'">
						<xsl:value-of select="$strSubImportCfgHeader1"/>
					</xsl:when>
				</xsl:choose>
			</PromptText>
		</DataArea>
	</xsl:template>

</xsl:stylesheet>
